//================================================
//	BMS_DiagState.c
//	this file is an include in BMS_ProcessIO.c
//================================================

// +12v check
if ((EmailAlertBusyFlag == FALSE) && (FunctionModule[EmailAlertEnableFlag].Status.Enabled == TRUE))		//check to make sure email is not currently busy doing something
{
	switch(DIAGCHECKState)
	{
	case DIAG_HOME:
	break;

	case P12VMON_CHECK:	//check +12v supply level
	if ((FunctionModule[E12vmon].Status.Installed == FALSE)||		//first see if we should just skip this check
		 (FunctionModule[E12vmon].Status.Enabled== FALSE) ||
		 (FunctionModule[E12vmon].Status.AlarmEnable == FALSE))
	break;															//yea, skip this check
		if ((FunctionModule[E12vmon].Status.Installed == TRUE)&&		//ok, make sure all conditions are go to check
		 (FunctionModule[E12vmon].Status.Enabled== TRUE) &&
		 (FunctionModule[E12vmon].Status.AlarmEnable == TRUE))
		{		//all systems go for diag check
			ADval = (WORD)ADC1BUF3;	// AN8					
			if ((ADval > ((DWORD)FunctionModule[E12vmon].Upperlimit * (DWORD)adc_12vmon_scale_factor) / (DWORD)10000) 
				&& !(Repeat_Alarm_HoldOff.Vm12Flag))	//Check for overvoltage & check the repeat diag wait period, send email diag
			{
			//Use the repeat alarm wait time which was configured in FunctionModule[E12vmon].DataValue1
			AlarmWaitTime[E12vmon] = (FunctionModule[E12vmon].DataValue1 * 2); //need to x2 because ticks are 1/2 sec
			Repeat_Alarm_HoldOff.Vm12Flag = TRUE;
			SubjectID = E12vmon;					//email subject ID
			SMTP_BMSalert();			//send message for E12vmon
			}

			if ((ADval < ((DWORD)FunctionModule[E12vmon].Lowerlimit * (DWORD)adc_12vmon_scale_factor) / (DWORD)10000)
			 	&& !(Repeat_Alarm_HoldOff.Vm12Flag))	//Check for undervoltage & check the repeat diag wait period, send email diag
			{
			//Use the repeat alarm wait time which was configured in FunctionModule[E12vmon].DataValue1
			AlarmWaitTime[E12vmon] = (FunctionModule[E12vmon].DataValue1 * 2); //need to x2 because ticks are 1/2 sec
			Repeat_Alarm_HoldOff.Vm12Flag = TRUE;
			SubjectID = E12vmon;					//email subject ID
			SMTP_BMSalert();			//send message for E12vmon
			}
		}//END of Diagnostic check was go to test
	break;

	case DIAG_AGAIN:
	DIAGCHECKState = 0;
	break;

	default:
	break;

	}//END switch(DIAGCHECKState)
DIAGCHECKState++;
}//END if (EmailAlertBusyFlag == FALSE)
	else
		if (EmailAlertBusyFlag == TRUE)
			SMTP_BMSalert();		//Continue with present SMTP states, still sending current email message

Nop();


