//=============================================================
//	BMS_HTTPApp_util.c
//	Items configured on the util.htm page
//	This is an include file in CustomHTTPApp.c
//=============================================================
	// If its the util.htm page
	if(!memcmppgm2ram(filename, "util.htm", 8))	//check for utility web page
	{
	// Find the new RTCC year value
 	BYTE	timestr[5], timeval;
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"yr");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
			timeval = (timestr[2] - '0')<<4;	//convert the two lower digits to BCD
			timeval = timeval | (timestr[3] - '0');			//make value from ASCII
			dt.year = timeval;	
		}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"mo");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
			if (strlen(timestr) == 2)
			{
			timeval = (timestr[0] - '0')<<4;	//convert the two lower digits to BCD
			timeval = timeval | (timestr[1] - '0');			//make value from ASCII
			}
				else
				timeval = (timestr[0] - '0');			//make value from ASCII
			dt.mon = timeval;
		}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"md");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
			if (strlen(timestr) == 2)
			{
			timeval = (timestr[0] - '0')<<4;	//convert the two lower digits to BCD
			timeval = timeval | (timestr[1] - '0');			//make value from ASCII
			}
				else
				timeval = (timestr[0] - '0');			//make value from ASCII
			dt.mday = timeval;
		}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"wd");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
				timeval = (timestr[0] - '0');			//make value from ASCII
			dt.wday = timeval;
		}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"hr");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
			if (strlen(timestr) == 2)
			{
			timeval = (timestr[0] - '0')<<4;	//convert the two lower digits to BCD
			timeval = timeval | (timestr[1] - '0');			//make value from ASCII
			}
				else
				timeval = (timestr[0] - '0');			//make value from ASCII
			tm.hour = timeval;
		}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"mi");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
			if (strlen(timestr) == 2)
			{
			timeval = (timestr[0] - '0')<<4;	//convert the two lower digits to BCD
			timeval = timeval | (timestr[1] - '0');			//make value from ASCII
			}
				else
				timeval = (timestr[0] - '0');			//make value from ASCII
			tm.min = timeval;
		}				

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"se");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(timestr,ptr);		//copy the value
			if (strlen(timestr) == 2)
			{
			timeval = (timestr[0] - '0')<<4;	//convert the two lower digits to BCD
			timeval = timeval | (timestr[1] - '0');			//make value from ASCII
			}
				else
				timeval = (timestr[0] - '0');			//make value from ASCII
			tm.sec = timeval;
			RtccSetTimeDate(tm.l, dt.l);	//set the RTCC with the new time
		}

		// Find the new EmailAlertEnableFlag enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"emen");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EmailAlertEnableFlag].Status.Enabled = TRUE;
						else
						FunctionModule[EmailAlertEnableFlag].Status.Enabled = FALSE;

		// Find the new EmailDLogEnableFlag enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"edat");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EmailDLogEnableFlag].Status.Enabled = TRUE;
						else
						FunctionModule[EmailDLogEnableFlag].Status.Enabled = FALSE;

// Copy configuration memory one way or the other
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"ramee");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ramtoee") == 0)		//compare for value
			{			
				RAM_to_EEPROM_Copy();		//RAM to EEPROM copy
			}
					else
					{
						EEPROM_to_RAM_Copy();		//EEPROM to RAM copy
					}

// Copy data log memory one way or the other
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"dmemory");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ramtoee") == 0)		//compare for value
			{			
				dRAM_to_dEEPROM_Copy();		//RAM to EEPROM copy
			}
					else
					{
						dEEPROM_to_dRAM_Copy();		//EEPROM to RAM copy
					}

// Datalogging enable/disable
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"dmfunc");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//compare for value
			{			
				FunctionModule[DataLogFlag].Status.Enabled = TRUE;
			}
					else
					{
						FunctionModule[DataLogFlag].Status.Enabled = FALSE;
					}

// Datalogging Email Now
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"esun");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{	
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x01;			//enable data log, Sun bit-0 
			}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"emon");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{			
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x02;			//enable data log, Mon bit-1 set
			}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"etue");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{			
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x04;			//enable data log, Tue bit-2 set
			}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"ewed");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{			
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x08;			//enable data log, Tue bit-3 set
			}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"ethu");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{			
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x10;			//enable data log, Thu bit-4 set
			}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"efri");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{			
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x20;			//enable data log, Fri bit-5 set
			}

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"esat");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"on") == 0)		//compare for value
			{			
				RequestLogNowFlagsWeb = RequestLogNowFlagsWeb | 0x40;			//enable data log, Sat bit-6 set
			}

// Alarm Wait Time Reset
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"awtfunc");			//compare for name,
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//compare for value
			{			
//	Reset all Alarm Wait Times
				AlarmWaitTimeFlagClears();			//Clear all the "alarm wait time flags"
			}

//check for rtcc calibration request
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"ca");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
			strcpy(timestr,ptr);		//copy the value
			FunctionModule[ErtccCalValue].DataValue1 = atoi(timestr) & 0x03FF;		//convert the value -512 to 511
	// bit 9 is sign bit
			RtccSetCalibration(FunctionModule[ErtccCalValue].DataValue1);		//calibrate the clock
			Nop();
			FunctionModule[ErtccCalValue].DataValue2=mRtccGetCalibration();
			Nop();


}//END util.htm page

//=======================================================================

