//==============  BMS functions ===============
//	BMS_CustomApp.c
// included in file CustomHTTPApp.c
//=============================================


void HTTPPrint_12vmon(void)
{  
// ADC scale factors
//#define adc_12vmon_scale_factor 537
#define VLimit_12v_under 899	// 8.99v * 100
WORD ADCLimitValue;
  
	BYTE AN0String[8];
	WORD ADval;

	ADval = (WORD)ADC1BUF3;	// AN8
// 		check for over/under voltage, if so adjust color on web display
// 		ADCLimitValue =  ((Vlimit * 100) * adc_12vmon_scale_factor)  / 1000
// come back to this idea of changing color after this ADC code is mainlined
/* ADCLimitValue =  ((VLimit_12v_under) * adc_12vmon_scale_factor)  / 1000;
if (ADval < ADCLimitValue)  develop ~c12v~. ~c5v~, ~c3v1~, ~c3v2~, ~c3v3~ function calls
*/	

	ADval = (ADval * 1000) / adc_12vmon_scale_factor;
	uitoa(ADval, (BYTE*)AN0String);

 // Reformat for decimal point display
 	AN0String[3] = AN0String[2];
 	AN0String[2] = AN0String[1];
	AN0String[1] = '.';		
	AN0String[4] = 'V';	
	AN0String[5] = '\0';

   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_5vmon(void)
{  
// ADC scale factors
#define adc_5vmon_scale_factor 310
  
	BYTE AN0String[8];
	WORD ADval;

	ADval = (WORD)ADC1BUF4;	// AN9

	ADval = (ADval * 200) / adc_5vmon_scale_factor;
	uitoa(ADval, (BYTE*)AN0String);
 
 	AN0String[3] = AN0String[2];
 	AN0String[2] = AN0String[1];
	AN0String[1] = '.';		
	AN0String[4] = 'V';	
	AN0String[5] = '\0';

   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_3p3vmonP32(void)  // realworld = (ADCvalue * 2 * 100) / adc_3vmonP32_scale_factor
{  
// ADC scale factors
#define adc_3vmonP32_scale_factor 310
  
	BYTE AN0String[8];
	WORD ADval;

	ADval = (WORD)ADC1BUF5;		// AN10
 
	ADval = (ADval * 200) / adc_3vmonP32_scale_factor;
    uitoa(ADval, (BYTE*)AN0String);
 
 	AN0String[3] = AN0String[2];
 	AN0String[2] = AN0String[1];
	AN0String[1] = '.';		
	AN0String[4] = 'V';	
	AN0String[5] = '\0';

   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_3p3vmonIO(void)  // realworld = (ADCvalue * 2 * 100) / adc_3vmonIO_scale_factor
{  
// ADC scale factors
#define adc_3vmonIO_scale_factor 310
  
	BYTE AN0String[8];
	WORD ADval;

	ADval = (WORD)ADC1BUF6;		// AN11
 
	ADval = (ADval * 200) / adc_3vmonIO_scale_factor;
    uitoa(ADval, (BYTE*)AN0String);
 
 	AN0String[3] = AN0String[2];
 	AN0String[2] = AN0String[1];
	AN0String[1] = '.';		
	AN0String[4] = 'V';	
	AN0String[5] = '\0';

   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_3p3vmonFRAME(void)  // realworld = (ADCvalue * 2 * 100) / adc_3vmonFRAME_scale_factor
{  
// ADC scale factors
#define adc_3vmonFRAME_scale_factor 310
  
	BYTE AN0String[8];
	WORD ADval;

	ADval = (WORD)ADC1BUF7;		// AN10
 
	ADval = (ADval * 200) / adc_3vmonFRAME_scale_factor;
    uitoa(ADval, (BYTE*)AN0String);
 
 	AN0String[3] = AN0String[2];
 	AN0String[2] = AN0String[1];
	AN0String[1] = '.';		
	AN0String[4] = 'V';	
	AN0String[5] = '\0';

   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_daylight(void)  // realworld = (ADCvalue * 2 * 100) / adc_daylight_scale_factor
{  
// ADC scale factors
//#define adc_daylight_scale_factor 310
  
	BYTE AN0String[8];
	WORD ADval;

	ADval = (WORD)ADC1BUF0;		// AN0
 
//	ADval = (ADval * 100) / adc_daylight_scale_factor;
    uitoa(ADval, (BYTE*)AN0String);
 
if (ADval < 100)
{
  	AN0String[2] = AN0String[1];
 	AN0String[1] = '.';		
 	AN0String[3] = '\0';
}
	else
	{
	  	AN0String[3] = AN0String[2];
	 	AN0String[2] = '.';		
	 	AN0String[4] = '\0';
	}

   	TCPPutString(sktHTTP, AN0String);
}

void MCP9800_12bit_format(int Temperature)
{
extern BYTE ResultString[16];
int TemperatureL, TemperatureR, TemperatureFrac;	
BYTE TempStringL[5];
BYTE TempStringR[6];
// 12-bit format is as follows:
// 16-bit integer has left byte as whole degrees C
// The right byte is 
// bit 8	0.5 C
// bit 7	0.25 C
// bit 6	0.125 C
// bit 5	0.0625 C


	TemperatureL =(Temperature>>8);	//Whole degrees are saved in the left byte
	TemperatureR = (Temperature & 0xFF);	//Fraction degrees are in the right byte

	uitoa(TemperatureL, (BYTE*)TempStringL);
// Copy TempStringL while reformating for web page display
	ResultString[0] = ' ';
	ResultString[1] = '0';
	ResultString[2] = '0';
	ResultString[3] = '.';
	ResultString[4] = '0';
	ResultString[5] = '0';
	ResultString[6] = '0';
	ResultString[7] = '0';
	ResultString[8] = 'C';
	ResultString[9] = '\0';
	
	if (Temperature < 10) 
	{
		ResultString[1] = ' ';
		ResultString[2] = TempStringL[1];	
	}
	else
		{
			ResultString[1] = TempStringL[0];
			ResultString[2] = TempStringL[1];
		}
	

TemperatureFrac = 0;					//Clear the fraction part to zero

if (!(Temperature & 0x8000))			//test for positive value
	{
		if (TemperatureR & 0x80)
		{
			TemperatureFrac = TemperatureFrac + 5000;
		}
		if (TemperatureR & 0x40)
		{
			TemperatureFrac = TemperatureFrac + 2500;
		}
		if (TemperatureR & 0x20)
		{
			TemperatureFrac = TemperatureFrac + 1250;
		}
		if (TemperatureR & 0x10)
		{
			TemperatureFrac = TemperatureFrac + 625;
		}
	}
	else		//negative temperature, this needs to be implemented yet
	{
TemperatureL = 0;
TemperatureR = 0;
	}

	uitoa(TemperatureFrac, (BYTE*)TempStringR);
	
	unsigned char position;
	unsigned char col;
	col = 0;
while (TempStringR[col])
	{
	col++;
	}	

	position = 7;
	while(col)
	{
		col--;
		ResultString[position] = TempStringR[col];
		position--;
	}
if (Temperature == 0)		//fix for zero for temperature data
		ResultString[1] = '0';
//	TCPPutString(sktHTTP,TempString);
}


void HTTPPrint_sysconTEMP(void)  // MCP9800 system controller temperature
{ 
	int Temperature;
	Temperature = Mcp9800_FormattedRead(SysConTempPort,SysConTempSA);
	MCP9800_12bit_format(Temperature);
	TCPPutString(sktHTTP,ResultString);
}

void HTTPPrint_baseinTEMP(void)  // MCP9800 system controller temperature
{ 
	int Temperature;
	Temperature = Mcp9800_FormattedRead(BaseInTempPort,BaseInTempSA);
	MCP9800_12bit_format(Temperature);
	TCPPutString(sktHTTP,ResultString);
}

void HTTPPrint_topinTEMP(void)  // MCP9800 system controller temperature
{ 
	int Temperature;
	Temperature = Mcp9800_FormattedRead(TopInTempPort,TopInTempSA);
	MCP9800_12bit_format(Temperature);
	TCPPutString(sktHTTP,ResultString);
}

void HTTPPrint_baseoutTEMP(void)  // MCP9800 system controller temperature
{ 
	int Temperature;
	Temperature = Mcp9800_FormattedRead(BaseOutTempPort,BaseOutTempSA);
	MCP9800_12bit_format(Temperature);
	TCPPutString(sktHTTP,ResultString);
}

void HTTPPrint_topoutTEMP(void)  // MCP9800 system controller temperature
{ 
	int Temperature;
	Temperature = Mcp9800_FormattedRead(TopOutTempPort,TopOutTempSA);
	MCP9800_12bit_format(Temperature);
	TCPPutString(sktHTTP,ResultString);
}

WORD ReadRH(void)
{
// Honeywell sensor HIH-4031-001S, Digi-Key p/n 480-3168-1-ND
// Data sheet formula for Voltage out: 
//	Vout = (Vsupply)(0.0062(sensor RH)+0.16), typical @ 25C
//
// Temperature compensation:
// True RH = (Sensor RH)/(1.0546-0.00216T), T in oC
//
// Sensor is ratiometric to supply voltage.
// ADC scale factors
#define adc_RH_scale_factor 310  
	BYTE AN0String[8];
	WORD ADval;
	float Rval;
	ADval = (WORD)ADC1BUF1;		// AN4
 	ADval = (ADval * 2 * 100) / adc_RH_scale_factor;
	Rval = ((5.05 / ADval) / 0.00666) + 0.05;		// round up
	ADval = (WORD)(Rval * 100.0);		//convert back to integer
	Nop();
	return ADval;
}

void HTTPPrint_RH(void)  // realworld = (ADCvalue * 2 * 100) / adc_RH_scale_factor
{  
	BYTE AN0String[8];
	ReadRH();
    uitoa((WORD)ReadRH(), (BYTE*)AN0String);
 
 	AN0String[3] = AN0String[2];
 	AN0String[2] = '.';		
 	AN0String[4] = '\0';
 
   	TCPPutString(sktHTTP, AN0String);
}

void PrintRedFontTag(void)
{
	BYTE AN0String[12];

		AN0String[0] = 'C';		//Lid Open = FF8080 color light red
		AN0String[1] = 'O';
		AN0String[2] = 'L';
		AN0String[3] = 'O';
		AN0String[4] = 'R';
		AN0String[5] = '=';
		AN0String[6] = '"';
		AN0String[7] = 'R';
		AN0String[8] = 'E';
		AN0String[9] = 'D';	
		AN0String[10] = '"';	
		AN0String[11] = '\0';
	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_lidc(void)  // Lid open cell bkgnd color
{  
	BYTE AN0String[1];

	if (SW_LidOpen_IO)
	{			                //COLOR="FF8080", light red
		PrintRedFontTag();
	}
	else
		{
		AN0String[0] = '\0';				//no color, end of string
		TCPPutString(sktHTTP, AN0String);
		}
 }


void HTTPPrint_lidopen(void)  // Hall sensor for lid open detect
{  
	BYTE AN0String[8];

	if (SW_LidOpen_IO)
	{
		AN0String[0] = 'O';		//Lid Open = 1, FF8080
		AN0String[1] = 'p';
		AN0String[2] = 'e';
		AN0String[3] = 'n';
		AN0String[4] = '\0';
	}
	else
		{
		AN0String[0] = 'C';		//Led Closed = 0
		AN0String[1] = 'l';
		AN0String[2] = 'o';
		AN0String[3] = 's';
		AN0String[4] = 'e';
		AN0String[5] = 'd';
		AN0String[6] = '\0';				//end of string
		}
   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_tiltc(void)  // Tilt error color
{  
	BYTE AN0String[1];

	if (SW_TiltDetect_IO)
	{			                //COLOR="FF8080", light red
		PrintRedFontTag();
	}
	else
		{
		AN0String[0] = '\0';				//no color, end of string
		TCPPutString(sktHTTP, AN0String);
		}
 }

void HTTPPrint_tiltdetect(void)  // Hall sensor for tilt detect
{
	BYTE AN0String[8];

	if (SW_TiltDetect_IO)
		{
		AN0String[0] = 'T';		//Tilt output high
		AN0String[1] = 'i';
		AN0String[2] = 'l';
		AN0String[3] = 't';
		AN0String[4] = 'e';
		AN0String[5] = 'd';
		AN0String[6] = '\0';
	}

	else
		{
		AN0String[0] = 'L';		//Tilt output low, LEVEL
		AN0String[1] = 'e';
		AN0String[2] = 'v';
		AN0String[3] = 'e';
		AN0String[4] = 'l';
		AN0String[5] = '\0';				//end of string
		}
   	TCPPutString(sktHTTP, AN0String);
}

void HTTPPrint_pirc(WORD PIRnum)  // PIR error color
{  
	BYTE AN0String[1];
	switch(PIRnum)
	{
	case 1:
	if (SW_PIR_1_IO) PrintRedFontTag();               //COLOR="FF8080", light red
		else
			{
			AN0String[0] = '\0';				//no color, end of string
			TCPPutString(sktHTTP, AN0String);
			}
	break;
	case 2:
	if (SW_PIR_2_IO) PrintRedFontTag();               //COLOR="FF8080", light red
		else
			{
			AN0String[0] = '\0';				//no color, end of string
			TCPPutString(sktHTTP, AN0String);
			}
	break;
	case 3:
	if (SW_PIR_3_IO) PrintRedFontTag();               //COLOR="FF8080", light red
		else
			{
			AN0String[0] = '\0';				//no color, end of string
			TCPPutString(sktHTTP, AN0String);
			}
	break;
	case 4:
	if (SW_PIR_4_IO) PrintRedFontTag();               //COLOR="FF8080", light red
		else
			{
			AN0String[0] = '\0';				//no color, end of string
			TCPPutString(sktHTTP, AN0String);
			}
	break;
	default:
	break;
	}
 }

void HTTPPrint_pir(WORD PIRnum)  // PIR sensors for motion detection
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
	switch(PIRnum)
	{
	case 1:
	if (FunctionModule[EPIR1ms].Status.Installed == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Installed");break;}
	if (FunctionModule[EPIR1ms].Status.Enabled == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Enabled");break;}
	if (SW_PIR_1_IO) TCPPutROMString(sktHTTP, (ROM BYTE*)"Motion Detected");
		else TCPPutROMString(sktHTTP, (ROM BYTE*)"No Motion");	
	break;

	case 2:
	if (FunctionModule[EPIR2ms].Status.Installed == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Installed");break;}
	if (FunctionModule[EPIR2ms].Status.Enabled == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Enabled");break;}
	if (SW_PIR_2_IO) TCPPutROMString(sktHTTP, (ROM BYTE*)"Motion Detected");	
		else TCPPutROMString(sktHTTP, (ROM BYTE*)"No Motion");	
	break;

	case 3:
	if (FunctionModule[EPIR3ms].Status.Installed == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Installed");break;}
	if (FunctionModule[EPIR3ms].Status.Enabled == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Enabled");break;}
	if (SW_PIR_3_IO) TCPPutROMString(sktHTTP, (ROM BYTE*)"Motion Detected");	
		else TCPPutROMString(sktHTTP, (ROM BYTE*)"No Motion");		
	break;

	case 4:
	if (FunctionModule[EPIR4ms].Status.Installed == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Installed");break;}
	if (FunctionModule[EPIR4ms].Status.Enabled == FALSE) {TCPPutROMString(sktHTTP, (ROM BYTE*)"Not Enabled");break;}
	if (SW_PIR_4_IO) TCPPutROMString(sktHTTP, (ROM BYTE*)"Motion Detected");
		else TCPPutROMString(sktHTTP, (ROM BYTE*)"No Motion");	
	break;

	default:
	break;
	}
}


void Checked_State(void)
{
	BYTE EnableState[8];
	EnableState[0] = 'c';
	EnableState[1] = 'h';
	EnableState[2] = 'e';
	EnableState[3] = 'c';
	EnableState[4] = 'k';
	EnableState[5] = 'e';
	EnableState[6] = 'd';
	EnableState[7] = '\0';			//end of string
   	TCPPutString(sktHTTP, EnableState);
}

void UnChecked_State(void)
{
	BYTE EnableState[8];
	EnableState[0] = '\0';			//end of string
   	TCPPutString(sktHTTP, EnableState);
}
//===================================
//	cont1.htm page 
//===================================
//
//=============================================
//	+12v power supply monitor Function 1
//=============================================
void HTTPPrint_f1Si1(void)	//+12v power supply monitor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[E12vmon].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1Si2(void)	//+12v power supply monitor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[E12vmon].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1Se1(void)	//+12v power supply monitor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[E12vmon].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1Se2(void)	//+12v power supply monitor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[E12vmon].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1Sa1(void)	//+12v power supply monitor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[E12vmon].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1Sa2(void)	//+12v power supply monitor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[E12vmon].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1St1(void)	//+12v power supply monitor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[E12vmon].Status.AlarmLower == TRUE) &  (FunctionModule[E12vmon].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1St2(void)	//+12v power supply monitor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[E12vmon].Status.AlarmUpper == TRUE) & (FunctionModule[E12vmon].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1St3(void)	//+12v power supply monitor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[E12vmon].Status.AlarmUpper == TRUE) & (FunctionModule[E12vmon].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1St4(void)	//+12v power supply monitor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[E12vmon].Status.AlarmUpper == FALSE) & (FunctionModule[E12vmon].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f1wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[E12vmon].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}

void HTTPPrint_f1UL(void)		//+12v Upper limit
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE ULString[8]; 
// Display current value
uitoa(FunctionModule[E12vmon].Upperlimit, ULString);
TCPPutString(sktHTTP, ULString);
}

void HTTPPrint_f1LL(void)		//+12v Lower limit
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE LLString[8]; 
// Display current value
uitoa(FunctionModule[E12vmon].Lowerlimit, LLString);
TCPPutString(sktHTTP, LLString);
}

//===================================
//	security1.htm page 
//===================================
//
//=============================================
//	Lid Open Sensor Function 17
//=============================================
void HTTPPrint_f17Si1(void)	//Lid open sensor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[Elidopen].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17Si2(void)	//Lid open sensor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[Elidopen].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17Se1(void)	//Lid open sensor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[Elidopen].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17Se2(void)	//Lid open sensor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[Elidopen].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17Sa1(void)	//Lid open sensor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[Elidopen].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17Sa2(void)	//Lid open sensor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[Elidopen].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17St1(void)	//Lid open sensor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[Elidopen].Status.AlarmLower == TRUE) &  (FunctionModule[Elidopen].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17St2(void)	//Lid open sensor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[Elidopen].Status.AlarmUpper == TRUE) & (FunctionModule[Elidopen].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17St3(void)	//Lid open sensor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[Elidopen].Status.AlarmUpper == TRUE) & (FunctionModule[Elidopen].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17St4(void)	//Lid open sensor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[Elidopen].Status.AlarmUpper == FALSE) & (FunctionModule[Elidopen].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f17wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[Elidopen].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}

//=============================================
//	Tilt Detect Sensor Function 18
//=============================================

void HTTPPrint_f18Si1(void)	//Tilt Detect Sensor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[Etiltdetect].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18Si2(void)	//Tilt Detect Sensor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[Etiltdetect].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18Se1(void)	//Tilt Detect Sensor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[Etiltdetect].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18Se2(void)	//Tilt Detect Sensor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[Etiltdetect].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18Sa1(void)	//Tilt Detect Sensor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[Etiltdetect].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18Sa2(void)	//Tilt Detect Sensor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[Etiltdetect].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18St1(void)	//Tilt Detect Sensor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[Etiltdetect].Status.AlarmLower == TRUE) &  (FunctionModule[Etiltdetect].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18St2(void)	//Tilt Detect Sensor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[Etiltdetect].Status.AlarmUpper == TRUE) & (FunctionModule[Etiltdetect].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18St3(void)	//Tilt Detect Sensor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[Etiltdetect].Status.AlarmUpper == TRUE) & (FunctionModule[Etiltdetect].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18St4(void)	//Tilt Detect Sensor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[Etiltdetect].Status.AlarmUpper == FALSE) & (FunctionModule[Etiltdetect].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f18wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[Etiltdetect].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}
//=============================================
//	PIR 1 Sensor Function 19
//=============================================

void HTTPPrint_f19Si1(void)	//PIR 1 Sensor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EPIR1ms].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19Si2(void)	//PIR 1 Sensor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EPIR1ms].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19Se1(void)	//PIR 1 Sensor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EPIR1ms].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19Se2(void)	//PIR 1 Sensor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EPIR1ms].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19Sa1(void)	//PIR 1 Sensor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EPIR1ms].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19Sa2(void)	//PIR 1 Sensor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EPIR1ms].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19St1(void)	//PIR 1 Sensor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR1ms].Status.AlarmLower == TRUE) &  (FunctionModule[EPIR1ms].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19St2(void)	//PIR 1 Sensor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR1ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR1ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19St3(void)	//PIR 1 Sensor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR1ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR1ms].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19St4(void)	//PIR 1 Sensor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR1ms].Status.AlarmUpper == FALSE) & (FunctionModule[EPIR1ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f19wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[EPIR1ms].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}
//=============================================
//	PIR 2 Sensor Function 20
//=============================================

void HTTPPrint_f20Si1(void)	//PIR 2 Sensor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EPIR2ms].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20Si2(void)	//PIR 2 Sensor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EPIR2ms].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20Se1(void)	//PIR 2 Sensor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EPIR2ms].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20Se2(void)	//PIR 2 Sensor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EPIR2ms].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20Sa1(void)	//PIR 2 Sensor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EPIR2ms].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20Sa2(void)	//PIR 2 Sensor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EPIR2ms].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20St1(void)	//PIR 2 Sensor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR2ms].Status.AlarmLower == TRUE) &  (FunctionModule[EPIR2ms].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20St2(void)	//PIR 2 Sensor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR2ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR2ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20St3(void)	//PIR 2 Sensor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR2ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR2ms].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20St4(void)	//PIR 2 Sensor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR2ms].Status.AlarmUpper == FALSE) & (FunctionModule[EPIR2ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f20wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[EPIR2ms].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}
//=============================================
//	PIR 3 Sensor Function 21
//=============================================

void HTTPPrint_f21Si1(void)	//PIR 3 Sensor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EPIR3ms].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21Si2(void)	//PIR 3 Sensor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EPIR3ms].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21Se1(void)	//PIR 3 Sensor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EPIR3ms].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21Se2(void)	//PIR 3 Sensor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EPIR3ms].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21Sa1(void)	//PIR 3 Sensor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EPIR3ms].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21Sa2(void)	//PIR 3 Sensor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EPIR3ms].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21St1(void)	//PIR 3 Sensor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR3ms].Status.AlarmLower == TRUE) &  (FunctionModule[EPIR3ms].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21St2(void)	//PIR 3 Sensor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR3ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR3ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21St3(void)	//PIR 3 Sensor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR3ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR3ms].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21St4(void)	//PIR 3 Sensor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR3ms].Status.AlarmUpper == FALSE) & (FunctionModule[EPIR3ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f21wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[EPIR3ms].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}
//=============================================
//	PIR 4 Sensor Function 22
//=============================================

void HTTPPrint_f22Si1(void)	//PIR 4 Sensor installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EPIR4ms].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22Si2(void)	//PIR 4 Sensor uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EPIR4ms].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22Se1(void)	//PIR 4 Sensor Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EPIR4ms].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22Se2(void)	//PIR 4 Sensor Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EPIR4ms].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22Sa1(void)	//PIR 4 Sensor Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EPIR4ms].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22Sa2(void)	//PIR 4 Sensor not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EPIR4ms].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22St1(void)	//PIR 4 Sensor Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR4ms].Status.AlarmLower == TRUE) &  (FunctionModule[EPIR4ms].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22St2(void)	//PIR 4 Sensor Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR4ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR4ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22St3(void)	//PIR 4 Sensor Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EPIR4ms].Status.AlarmUpper == TRUE) & (FunctionModule[EPIR4ms].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22St4(void)	//PIR 4 Sensor Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EPIR4ms].Status.AlarmUpper == FALSE) & (FunctionModule[EPIR4ms].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f22wt(void)
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
	BYTE WaitTimeString[8]; 
// Display current value
uitoa(FunctionModule[EPIR4ms].DataValue1, WaitTimeString);
TCPPutString(sktHTTP, WaitTimeString);
}

//=============================================
//	Electric Fence Function 24
//=============================================

void HTTPPrint_f24Si1(void)	//Electric Fence installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EelectfenceLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f24Si2(void)	//Electric Fence uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EelectfenceLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f24Se1(void)	//Electric Fence Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EelectfenceLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f24Se2(void)	//Electric Fence Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EelectfenceLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}
//=============================================
//	enviro1.htm
//=============================================
//=============================================
//	Smoke Module Function 30
//=============================================

void HTTPPrint_f30Si1(void)	//Smoke Module installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ESmokeLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f30Si2(void)	//Smoke Module uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ESmokeLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f30Se1(void)	//Smoke Module Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ESmokeLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f30Se2(void)	//Smoke Module Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ESmokeLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Rain Module Function 31
//=============================================

void HTTPPrint_f31Si1(void)	//Rain Module installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ERainLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f31Si2(void)	//Rain Module uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ERainLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f31Se1(void)	//Rain Module Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ERainLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f31Se2(void)	//Rain Module Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ERainLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Sound PWM LED opto Function 33
//=============================================

void HTTPPrint_f33Si1(void)	//Sound PWM LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ESoundPWMLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f33Si2(void)	//Sound PWM LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ESoundPWMLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f33Se1(void)	//Sound PWM LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ESoundPWMLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f33Se2(void)	//Sound PWM LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ESoundPWMLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Vibration PWM LED opto Function 34
//=============================================

void HTTPPrint_f34Si1(void)	//Vibration PWM LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EVibrationLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f34Si2(void)	//Vibration PWM LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EVibrationLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f34Se1(void)	//Vibration PWM LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EVibrationLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f34Se2(void)	//Vibration PWM LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EVibrationLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Entrance opening PWM LED opto Function 35
//=============================================
void HTTPPrint_f35Si1(void)	//Entrance opening PWM LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EEntrancePWMLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35Si2(void)	//Entrance opening PWM LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EEntrancePWMLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35Se1(void)	//Entrance opening PWM LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EEntrancePWMLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35Se2(void)	//Entrance opening PWM LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EEntrancePWMLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35Sa1(void)	//Entrance opening PWM LED opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EEntrancePWMLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35Sa2(void)	//Entrance opening PWM LED opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EEntrancePWMLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35St1(void)	//Entrance opening PWM LED opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EEntrancePWMLED].Status.AlarmLower == TRUE) &  (FunctionModule[EEntrancePWMLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35St2(void)	//Entrance opening PWM LED opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EEntrancePWMLED].Status.AlarmUpper == TRUE) & (FunctionModule[EEntrancePWMLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35St3(void)	//Entrance opening PWM LED opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EEntrancePWMLED].Status.AlarmUpper == TRUE) & (FunctionModule[EEntrancePWMLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f35St4(void)	//Entrance opening PWM LED opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EEntrancePWMLED].Status.AlarmUpper == FALSE) & (FunctionModule[EEntrancePWMLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Heater PWM LED opto Function 36
//=============================================
void HTTPPrint_f36Si1(void)	//Heater PWM LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EHeaterPWMLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36Si2(void)	//Heater PWM LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EHeaterPWMLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36Se1(void)	//Heater PWM LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EHeaterPWMLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36Se2(void)	//Heater PWM LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EHeaterPWMLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36Sa1(void)	//Heater PWM LED opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EHeaterPWMLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36Sa2(void)	//Heater PWM LED opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EHeaterPWMLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36St1(void)	//Heater PWM LED opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHeaterPWMLED].Status.AlarmLower == TRUE) &  (FunctionModule[EHeaterPWMLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36St2(void)	//Heater PWM LED opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHeaterPWMLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHeaterPWMLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36St3(void)	//Heater PWM LED opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHeaterPWMLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHeaterPWMLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f36St4(void)	//Heater PWM LED opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHeaterPWMLED].Status.AlarmUpper == FALSE) & (FunctionModule[EHeaterPWMLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Cooling PWM LED opto Function 37
//=============================================
void HTTPPrint_f37Si1(void)	//Cooling PWM LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ECoolingPWMLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37Si2(void)	//Cooling PWM LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ECoolingPWMLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37Se1(void)	//Cooling PWM LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ECoolingPWMLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37Se2(void)	//Cooling PWM LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ECoolingPWMLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37Sa1(void)	//Cooling PWM LED opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ECoolingPWMLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37Sa2(void)	//Cooling PWM LED opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ECoolingPWMLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37St1(void)	//Cooling PWM LED opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ECoolingPWMLED].Status.AlarmLower == TRUE) &  (FunctionModule[ECoolingPWMLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37St2(void)	//Cooling PWM LED opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ECoolingPWMLED].Status.AlarmUpper == TRUE) & (FunctionModule[ECoolingPWMLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37St3(void)	//Cooling PWM LED opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ECoolingPWMLED].Status.AlarmUpper == TRUE) & (FunctionModule[ECoolingPWMLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f37St4(void)	//Cooling PWM LED opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ECoolingPWMLED].Status.AlarmUpper == FALSE) & (FunctionModule[ECoolingPWMLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Hive Status GREEN opto Function 38
//=============================================
void HTTPPrint_f38Si1(void)	//Hive Status GREEN opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EHiveStatGrnLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38Si2(void)	//Hive Status GREEN opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EHiveStatGrnLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38Se1(void)	//Hive Status GREEN opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EHiveStatGrnLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38Se2(void)	//Hive Status GREEN opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EHiveStatGrnLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38Sa1(void)	//Hive Status GREEN opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EHiveStatGrnLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38Sa2(void)	//Hive Status GREEN opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EHiveStatGrnLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38St1(void)	//Hive Status GREEN opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveStatGrnLED].Status.AlarmLower == TRUE) &  (FunctionModule[EHiveStatGrnLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38St2(void)	//Hive Status GREEN opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveStatGrnLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveStatGrnLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38St3(void)	//Hive Status GREEN opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveStatGrnLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveStatGrnLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f38St4(void)	//Hive Status GREEN opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveStatGrnLED].Status.AlarmUpper == FALSE) & (FunctionModule[EHiveStatGrnLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Hive Status YELLOW opto Function 39
//=============================================
void HTTPPrint_f39Si1(void)	//Hive Status YELLOW opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EHiveStatYelLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39Si2(void)	//Hive Status YELLOW opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EHiveStatYelLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39Se1(void)	//Hive Status YELLOW opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EHiveStatYelLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39Se2(void)	//Hive Status YELLOW opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EHiveStatYelLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39Sa1(void)	//Hive Status YELLOW opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EHiveStatYelLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39Sa2(void)	//Hive Status YELLOW opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EHiveStatYelLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39St1(void)	//Hive Status YELLOW opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveStatYelLED].Status.AlarmLower == TRUE) &  (FunctionModule[EHiveStatYelLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39St2(void)	//Hive Status YELLOW opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveStatYelLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveStatYelLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39St3(void)	//Hive Status YELLOW opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveStatYelLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveStatYelLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f39St4(void)	//Hive Status YELLOW opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveStatYelLED].Status.AlarmUpper == FALSE) & (FunctionModule[EHiveStatYelLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Hive Status RED opto Function 40
//=============================================
void HTTPPrint_f40Si1(void)	//Hive Status RED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EHiveStatRedLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40Si2(void)	//Hive Status RED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EHiveStatRedLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40Se1(void)	//Hive Status RED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EHiveStatRedLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40Se2(void)	//Hive Status RED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EHiveStatRedLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40Sa1(void)	//Hive Status RED opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EHiveStatRedLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40Sa2(void)	//Hive Status RED opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EHiveStatRedLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40St1(void)	//Hive Status RED opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveStatRedLED].Status.AlarmLower == TRUE) &  (FunctionModule[EHiveStatRedLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40St2(void)	//Hive Status RED opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveStatRedLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveStatRedLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40St3(void)	//Hive Status RED opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveStatRedLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveStatRedLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f40St4(void)	//Hive Status RED opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveStatRedLED].Status.AlarmUpper == FALSE) & (FunctionModule[EHiveStatRedLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Hive exterior light LED opto Function 41
//=============================================
void HTTPPrint_f41Si1(void)	//Hive exterior light LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EHiveExteriorLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41Si2(void)	//Hive exterior light LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EHiveExteriorLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41Se1(void)	//Hive exterior light LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EHiveExteriorLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41Se2(void)	//Hive exterior light LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EHiveExteriorLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41Sa1(void)	//Hive exterior light LED opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EHiveExteriorLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41Sa2(void)	//Hive exterior light LED opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EHiveExteriorLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41St1(void)	//Hive exterior light LED opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveExteriorLED].Status.AlarmLower == TRUE) &  (FunctionModule[EHiveExteriorLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41St2(void)	//Hive exterior light LED opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveExteriorLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveExteriorLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41St3(void)	//Hive exterior light LED opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveExteriorLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveExteriorLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f41St4(void)	//Hive exterior light LED opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveExteriorLED].Status.AlarmUpper == FALSE) & (FunctionModule[EHiveExteriorLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Hive interior light LED opto Function 42
//=============================================
void HTTPPrint_f42Si1(void)	//Hive interior light LED opto installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EHiveInteriorLED].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42Si2(void)	//Hive interior light LED opto uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EHiveInteriorLED].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42Se1(void)	//Hive interior light LED opto Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EHiveInteriorLED].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42Se2(void)	//Hive interior light LED opto Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EHiveInteriorLED].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42Sa1(void)	//Hive interior light LED opto Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EHiveInteriorLED].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42Sa2(void)	//Hive interior light LED opto not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EHiveInteriorLED].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42St1(void)	//Hive interior light LED opto Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveInteriorLED].Status.AlarmLower == TRUE) &  (FunctionModule[EHiveInteriorLED].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42St2(void)	//Hive interior light LED opto Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveInteriorLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveInteriorLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42St3(void)	//Hive interior light LED opto Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EHiveInteriorLED].Status.AlarmUpper == TRUE) & (FunctionModule[EHiveInteriorLED].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f42St4(void)	//Hive interior light LED opto Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EHiveInteriorLED].Status.AlarmUpper == FALSE) & (FunctionModule[EHiveInteriorLED].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee Traffic Counter 1 Function 45
//=============================================

void HTTPPrint_f45Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter1].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter1].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter1].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter1].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter1].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter1].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter1].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter1].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter1].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter1].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter1].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter1].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f45St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter1].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter1].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 2 Function 46
//=============================================

void HTTPPrint_f46Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter2].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter2].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter2].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter2].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter2].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter2].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter2].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter2].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter2].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter2].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter2].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter2].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f46St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter2].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter2].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 3 Function 47
//=============================================

void HTTPPrint_f47Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter3].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter3].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter3].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter3].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter3].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter3].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter3].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter3].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter3].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter3].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter3].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter3].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f47St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter3].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter3].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 4 Function 48
//=============================================

void HTTPPrint_f48Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter4].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter4].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter4].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter4].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter4].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter4].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter4].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter4].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter4].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter4].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter4].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter4].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f48St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter4].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter4].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 5 Function 49
//=============================================

void HTTPPrint_f49Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter5].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter5].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter5].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter5].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter5].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter5].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter5].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter5].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter5].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter5].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter5].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter5].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f49St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter5].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter5].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 6 Function 50
//=============================================

void HTTPPrint_f50Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter6].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter6].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter6].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter6].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter6].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter6].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter6].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter6].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter6].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter6].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter6].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter6].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f50St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter6].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter6].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 7 Function 51
//=============================================

void HTTPPrint_f51Si1(void)	//Bee traffic counter 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter7].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51Si2(void)	//Bee traffic counter 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter7].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51Se1(void)	//Bee traffic counter 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter7].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51Se2(void)	//Bee traffic counter 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter7].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51Sa1(void)	//Bee traffic counter 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter7].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51Sa2(void)	//Bee traffic counter 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter7].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51St1(void)	//Bee traffic counter 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter7].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter7].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51St2(void)	//Bee traffic counter 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter7].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter7].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51St3(void)	//Bee traffic counter 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter7].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter7].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f51St4(void)	//Bee traffic counter 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter7].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter7].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee Traffic Counter 8 Function 52
//=============================================

void HTTPPrint_f52Si1(void)	//Bee traffic counter 8 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ETrafficCounter8].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52Si2(void)	//Bee traffic counter 8 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ETrafficCounter8].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52Se1(void)	//Bee traffic counter 8 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ETrafficCounter8].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52Se2(void)	//Bee traffic counter 8 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ETrafficCounter8].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52Sa1(void)	//Bee traffic counter 8 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ETrafficCounter8].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52Sa2(void)	//Bee traffic counter 8 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ETrafficCounter8].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52St1(void)	//Bee traffic counter 8 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter8].Status.AlarmLower == TRUE) &  (FunctionModule[ETrafficCounter8].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52St2(void)	//Bee traffic counter 8 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter8].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter8].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52St3(void)	//Bee traffic counter 8 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ETrafficCounter8].Status.AlarmUpper == TRUE) & (FunctionModule[ETrafficCounter8].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f52St4(void)	//Bee traffic counter 8 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ETrafficCounter8].Status.AlarmUpper == FALSE) & (FunctionModule[ETrafficCounter8].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Bee scale module 1 Function 61
//=============================================
void HTTPPrint_f61Si1(void)	//Bee scale module 1 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale1].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61Si2(void)	//Bee scale module 1 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale1].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61Se1(void)	//Bee scale module 1 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale1].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61Se2(void)	//Bee scale module 1 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale1].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61Sa1(void)	//Bee scale module 1 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale1].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61Sa2(void)	//Bee scale module 1 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale1].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61St1(void)	//Bee scale module 1 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale1].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale1].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61St2(void)	//Bee scale module 1 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale1].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale1].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61St3(void)	//Bee scale module 1 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale1].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale1].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f61St4(void)	//Bee scale module 1 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale1].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale1].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 2 Function 62
//=============================================
void HTTPPrint_f62Si1(void)	//Bee scale module 2 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale2].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62Si2(void)	//Bee scale module 2 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale2].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62Se1(void)	//Bee scale module 2 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale2].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62Se2(void)	//Bee scale module 2 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale2].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62Sa1(void)	//Bee scale module 2 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale2].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62Sa2(void)	//Bee scale module 2 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale2].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62St1(void)	//Bee scale module 2 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale2].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale2].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62St2(void)	//Bee scale module 2 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale2].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale2].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62St3(void)	//Bee scale module 2 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale2].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale2].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f62St4(void)	//Bee scale module 2 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale2].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale2].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 3 Function 63
//=============================================
void HTTPPrint_f63Si1(void)	//Bee scale module 3 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale3].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63Si2(void)	//Bee scale module 3 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale3].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63Se1(void)	//Bee scale module 3 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale3].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63Se2(void)	//Bee scale module 3 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale3].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63Sa1(void)	//Bee scale module 3 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale3].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63Sa2(void)	//Bee scale module 3 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale3].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63St1(void)	//Bee scale module 3 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale3].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale3].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63St2(void)	//Bee scale module 3 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale3].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale3].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63St3(void)	//Bee scale module 3 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale3].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale3].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f63St4(void)	//Bee scale module 3 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale3].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale3].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 4 Function 64
//=============================================
void HTTPPrint_f64Si1(void)	//Bee scale module 4 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale4].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64Si2(void)	//Bee scale module 4 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale4].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64Se1(void)	//Bee scale module 4 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale4].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64Se2(void)	//Bee scale module 4 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale4].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64Sa1(void)	//Bee scale module 4 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale4].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64Sa2(void)	//Bee scale module 4 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale4].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64St1(void)	//Bee scale module 4 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale4].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale4].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64St2(void)	//Bee scale module 4 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale4].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale4].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64St3(void)	//Bee scale module 4 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale4].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale4].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f64St4(void)	//Bee scale module 4 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale4].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale4].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 5 Function 65
//=============================================
void HTTPPrint_f65Si1(void)	//Bee scale module 5 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale5].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65Si2(void)	//Bee scale module 5 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale5].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65Se1(void)	//Bee scale module 5 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale5].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65Se2(void)	//Bee scale module 5 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale5].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65Sa1(void)	//Bee scale module 5 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale5].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65Sa2(void)	//Bee scale module 5 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale5].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65St1(void)	//Bee scale module 5 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale5].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale5].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65St2(void)	//Bee scale module 5 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale5].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale5].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65St3(void)	//Bee scale module 5 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale5].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale5].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f65St4(void)	//Bee scale module 5 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale5].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale5].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 6 Function 66
//=============================================
void HTTPPrint_f66Si1(void)	//Bee scale module 6 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale6].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66Si2(void)	//Bee scale module 6 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale6].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66Se1(void)	//Bee scale module 6 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale6].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66Se2(void)	//Bee scale module 6 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale6].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66Sa1(void)	//Bee scale module 6 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale6].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66Sa2(void)	//Bee scale module 6 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale6].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66St1(void)	//Bee scale module 6 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale6].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale6].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66St2(void)	//Bee scale module 6 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale6].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale6].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66St3(void)	//Bee scale module 6 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale6].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale6].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f66St4(void)	//Bee scale module 6 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale6].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale6].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 7 Function 67
//=============================================
void HTTPPrint_f67Si1(void)	//Bee scale module 7 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale7].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67Si2(void)	//Bee scale module 7 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale7].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67Se1(void)	//Bee scale module 7 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale7].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67Se2(void)	//Bee scale module 7 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale7].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67Sa1(void)	//Bee scale module 7 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale7].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67Sa2(void)	//Bee scale module 7 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale7].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67St1(void)	//Bee scale module 7 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale7].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale7].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67St2(void)	//Bee scale module 7 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale7].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale7].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67St3(void)	//Bee scale module 7 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale7].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale7].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f67St4(void)	//Bee scale module 7 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale7].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale7].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Bee scale module 8 Function 68
//=============================================
void HTTPPrint_f68Si1(void)	//Bee scale module 8 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[EbeeScale8].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68Si2(void)	//Bee scale module 8 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[EbeeScale8].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68Se1(void)	//Bee scale module 8 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EbeeScale8].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68Se2(void)	//Bee scale module 8 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EbeeScale8].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68Sa1(void)	//Bee scale module 8 Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[EbeeScale8].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68Sa2(void)	//Bee scale module 8 not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[EbeeScale8].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68St1(void)	//Bee scale module 8 Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale8].Status.AlarmLower == TRUE) &  (FunctionModule[EbeeScale8].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68St2(void)	//Bee scale module 8 Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale8].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale8].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68St3(void)	//Bee scale module 8 Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[EbeeScale8].Status.AlarmUpper == TRUE) & (FunctionModule[EbeeScale8].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f68St4(void)	//Bee scale module 8 Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[EbeeScale8].Status.AlarmUpper == FALSE) & (FunctionModule[EbeeScale8].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Auxiliary Device 5 Function 81
//=============================================

void HTTPPrint_f81Si1(void)	//Auxiliary Device 5 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[AuxDev5].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f81Si2(void)	//Auxiliary Device 5 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[AuxDev5].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f81Se1(void)	//Auxiliary Device 5 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[AuxDev5].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f81Se2(void)	//Auxiliary Device 5 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[AuxDev5].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Auxiliary Device 6 Function 82
//=============================================

void HTTPPrint_f82Si1(void)	//Auxiliary Device 6 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[AuxDev6].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f82Si2(void)	//Auxiliary Device 6 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[AuxDev6].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f82Se1(void)	//Auxiliary Device 6 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[AuxDev6].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f82Se2(void)	//Auxiliary Device 6 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[AuxDev6].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Auxiliary Device 7 Function 83
//=============================================

void HTTPPrint_f83Si1(void)	//Auxiliary Device 7 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[AuxDev7].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f83Si2(void)	//Auxiliary Device 7 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[AuxDev7].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f83Se1(void)	//Auxiliary Device 7 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[AuxDev7].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f83Se2(void)	//Auxiliary Device 7 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[AuxDev7].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Auxiliary Device 8 Function 84
//=============================================

void HTTPPrint_f84Si1(void)	//Auxiliary Device 8 installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[AuxDev8].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f84Si2(void)	//Auxiliary Device 8 uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[AuxDev8].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f84Se1(void)	//Auxiliary Device 8 Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[AuxDev8].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f84Se2(void)	//Auxiliary Device 8 Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[AuxDev8].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//=============================================
//	Servo 1 power enable/disable Function 69
//=============================================
void HTTPPrint_f69Si1(void)	//Servo 1 power installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ServoPwr1].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69Si2(void)	//Servo 1 power uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ServoPwr1].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69Se1(void)	//Servo 1 power Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ServoPwr1].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69Se2(void)	//Servo 1 power Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ServoPwr1].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69Sa1(void)	//Servo 1 power Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ServoPwr1].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69Sa2(void)	//Servo 1 power not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ServoPwr1].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69St1(void)	//Servo 1 power Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr1].Status.AlarmLower == TRUE) &  (FunctionModule[ServoPwr1].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69St2(void)	//Servo 1 power Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr1].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr1].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69St3(void)	//Servo 1 power Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr1].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr1].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f69St4(void)	//Servo 1 power Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr1].Status.AlarmUpper == FALSE) & (FunctionModule[ServoPwr1].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Servo 2 power enable/disable Function 70
//=============================================
void HTTPPrint_f70Si1(void)	//Servo 2 power installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ServoPwr2].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70Si2(void)	//Servo 2 power uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ServoPwr2].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70Se1(void)	//Servo 2 power Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ServoPwr2].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70Se2(void)	//Servo 2 power Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ServoPwr2].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70Sa1(void)	//Servo 2 power Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ServoPwr2].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70Sa2(void)	//Servo 2 power not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ServoPwr2].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70St1(void)	//Servo 2 power Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr2].Status.AlarmLower == TRUE) &  (FunctionModule[ServoPwr2].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70St2(void)	//Servo 2 power Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr2].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr2].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70St3(void)	//Servo 2 power Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr2].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr2].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f70St4(void)	//Servo 2 power Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr2].Status.AlarmUpper == FALSE) & (FunctionModule[ServoPwr2].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Servo 3 power enable/disable Function 71
//=============================================
void HTTPPrint_f71Si1(void)	//Servo 3 power installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ServoPwr3].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71Si2(void)	//Servo 3 power uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ServoPwr3].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71Se1(void)	//Servo 3 power Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ServoPwr3].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71Se2(void)	//Servo 3 power Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ServoPwr3].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71Sa1(void)	//Servo 3 power Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ServoPwr3].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71Sa2(void)	//Servo 3 power not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ServoPwr3].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71St1(void)	//Servo 3 power Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr3].Status.AlarmLower == TRUE) &  (FunctionModule[ServoPwr3].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71St2(void)	//Servo 3 power Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr3].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr3].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71St3(void)	//Servo 3 power Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr3].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr3].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f71St4(void)	//Servo 3 power Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr3].Status.AlarmUpper == FALSE) & (FunctionModule[ServoPwr3].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}


//=============================================
//	Servo 4 power enable/disable Function 72
//=============================================
void HTTPPrint_f72Si1(void)	//Servo 4 power installed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
									
if (FunctionModule[ServoPwr4].Status.Installed == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72Si2(void)	//Servo 4 power uninstalled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
 
if (FunctionModule[ServoPwr4].Status.Installed == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72Se1(void)	//Servo 4 power Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[ServoPwr4].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72Se2(void)	//Servo 4 power Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[ServoPwr4].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72Sa1(void)	//Servo 4 power Alarmed checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if (FunctionModule[ServoPwr4].Status.AlarmEnable == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72Sa2(void)	//Servo 4 power not Alarmed checked no
{ 
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
   
if (FunctionModule[ServoPwr4].Status.AlarmEnable == FALSE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72St1(void)	//Servo 4 power Alarm trigger Lower checked yes, Upper check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr4].Status.AlarmLower == TRUE) &  (FunctionModule[ServoPwr4].Status.AlarmUpper == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72St2(void)	//Servo 4 power Alarm trigger Upper checked yes, Lower check no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr4].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr4].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72St3(void)	//Servo 4 power Alarm trigger Both checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values 
    
if ((FunctionModule[ServoPwr4].Status.AlarmUpper == TRUE) & (FunctionModule[ServoPwr4].Status.AlarmLower == TRUE))
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f72St4(void)	//Servo 4 power Alarm trigger Not Used checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values  
    
if ((FunctionModule[ServoPwr4].Status.AlarmUpper == FALSE) & (FunctionModule[ServoPwr4].Status.AlarmLower == FALSE))
Checked_State();
	else
	UnChecked_State();
}
//===========================

void HTTPPrint_f87Se1(void)	//Email Alerts & Status EnableFlag Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EmailAlertEnableFlag].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f87Se2(void)	//Email Alerts & Status EnableFlag Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EmailAlertEnableFlag].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}

//============================
void HTTPPrint_f88Se1(void)	//Email Data Logging EnableFlag Enabled checked yes
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
  
if (FunctionModule[EmailDLogEnableFlag].Status.Enabled == TRUE)
Checked_State();
	else
	UnChecked_State();
}

void HTTPPrint_f88Se2(void)	//Email Data Logging EnableFlag Disabled checked no
{
	extern FUNCTION_RECORD FunctionModule[FunctionModuleSize];//RAM array that holds current sensor and function status and values
    
if (FunctionModule[EmailDLogEnableFlag].Status.Enabled == FALSE)
Checked_State();
	else
	UnChecked_State();
}


//============================


void HTTPPrint_TBeeOut(void)		//Total bee count leaving hive
{
 	extern WORD BeeOutCounter;

	BYTE CountString[12];
    uitoa(BeeOutCounter, (BYTE*)CountString);
   	TCPPutString(sktHTTP, CountString);
}

void HTTPPrint_TBeeIn(void)		//Total bee count entering hive
{
 	extern WORD BeeInCounter;

	BYTE CountString[12];
    uitoa(BeeInCounter, (BYTE*)CountString);
   	TCPPutString(sktHTTP, CountString);
}

//================================================
// Bee Traffic Displays
//================================================


//============================================================
//  NEW YES/NO PROCEDURES

void HTTPPrint_sdoyn(WORD LRbar, WORD Day)		//yes-no check for updating radio buttion selected
{
if (LRbar == 0)
{
if ((BarGraph1DayL ==0) && (Day == 0))					//test flag for display graph
Checked_State();
if ((BarGraph1DayL ==1) && (Day == 1))					//test flag for display graph
Checked_State();
if ((BarGraph1DayL ==2) && (Day == 2))					//test flag for display graph
Checked_State();
if ((BarGraph1DayL ==3) && (Day == 3))					//test flag for display graph
Checked_State();
if ((BarGraph1DayL ==4) && (Day == 4))					//test flag for display graph
Checked_State();
if ((BarGraph1DayL ==5) && (Day == 5))					//test flag for display graph
Checked_State();
if ((BarGraph1DayL ==6) && (Day == 6))					//test flag for display graph
Checked_State();
}
if (LRbar == 1)
{
if ((BarGraph1DayR ==0) && (Day == 0))					//test flag for display graph
Checked_State();
if ((BarGraph1DayR ==1) && (Day == 1))					//test flag for display graph
Checked_State();
if ((BarGraph1DayR ==2) && (Day == 2))					//test flag for display graph
Checked_State();
if ((BarGraph1DayR ==3) && (Day == 3))					//test flag for display graph
Checked_State();
if ((BarGraph1DayR ==4) && (Day == 4))					//test flag for display graph
Checked_State();
if ((BarGraph1DayR ==5) && (Day == 5))					//test flag for display graph
Checked_State();
if ((BarGraph1DayR ==6) && (Day == 6))					//test flag for display graph
Checked_State();
}
}

void HTTPPrint_sdiyn(WORD LRbar, WORD Day)		//yes-no check for updating radio buttion selected
{
if (LRbar == 0)
{
if ((BarGraph2DayL ==0) && (Day == 0))					//test flag for display graph
Checked_State();
if ((BarGraph2DayL ==1) && (Day == 1))					//test flag for display graph
Checked_State();
if ((BarGraph2DayL ==2) && (Day == 2))					//test flag for display graph
Checked_State();
if ((BarGraph2DayL ==3) && (Day == 3))					//test flag for display graph
Checked_State();
if ((BarGraph2DayL ==4) && (Day == 4))					//test flag for display graph
Checked_State();
if ((BarGraph2DayL ==5) && (Day == 5))					//test flag for display graph
Checked_State();
if ((BarGraph2DayL ==6) && (Day == 6))					//test flag for display graph
Checked_State();
}
if (LRbar == 1)
{
if ((BarGraph2DayR ==0) && (Day == 0))					//test flag for display graph
Checked_State();
if ((BarGraph2DayR ==1) && (Day == 1))					//test flag for display graph
Checked_State();
if ((BarGraph2DayR ==2) && (Day == 2))					//test flag for display graph
Checked_State();
if ((BarGraph2DayR ==3) && (Day == 3))					//test flag for display graph
Checked_State();
if ((BarGraph2DayR ==4) && (Day == 4))					//test flag for display graph
Checked_State();
if ((BarGraph2DayR ==5) && (Day == 5))					//test flag for display graph
Checked_State();
if ((BarGraph2DayR ==6) && (Day == 6))					//test flag for display graph
Checked_State();
}
}

// check or not checked for function select menus
void HTTPPrint_sdfyn(WORD TopBottom, WORD FuncGraph)		//check the graph function selected
{
		if ((TopBottom == 0) & (Function_to_Graph_Top == FuncGraph))
			Checked_State();
		if ((TopBottom == 1) & (Function_to_Graph_Bottom == FuncGraph))
			Checked_State();
}

// Decoder ring for web page Dynamic Variables 
//OBT	Outgoing Bee Traffic
//IBT	Incoming Bee Traffic
//DS	Daylight Sensor
//TBO	Temperature Base Outside
//TBI	Temperature Base Inside
//TTO	Temperature Top Outside
//TTI	Temperature Top Inside
//HH	Hive Humidity

void HTTPPrint_OBT()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"Outgoing Traffic");}
void HTTPPrint_IBT()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"Incoming Traffic");}
void HTTPPrint_DS()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"Daylight Sensor");}
void HTTPPrint_TBO()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"T-Base Outside");}
void HTTPPrint_TBI()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"T-Base Inside");}
void HTTPPrint_TTO()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"T-Top Outside");}
void HTTPPrint_TTI()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"T-Top Inside");}
void HTTPPrint_HH()
{TCPPutROMString(sktHTTP, (ROM BYTE*)"Hive Humidity");}

void HTTPPrint_Graph1()
{
	ScaleRawData(Function_to_Graph_Top);	//Find max value for scaling
	switch(Function_to_Graph_Top)			//switch table decoder ring is located in CustomHTTPApp.c
	{
		case gTBaseOutSide:
		HTTPPrint_TBO();
		break;
		case gTBaseInside:
		HTTPPrint_TBI();
		break;
		case gTTopOutside:
		HTTPPrint_TTO();
		break;
		case gTTopInside:
		HTTPPrint_TTI();
		break;
		case gHumidity:
		HTTPPrint_HH();
		break;
		case gDayLight:
		HTTPPrint_DS();
		break; 
		case gBeeTrafficOut:
		HTTPPrint_OBT();
		break;
		case gBeeTrafficIn:
		HTTPPrint_IBT();
		break;
	}
}

void HTTPPrint_Graph2()
{
		ScaleRawData(Function_to_Graph_Bottom);	//Find max value for scaling
	switch(Function_to_Graph_Bottom)
	{
		case gTBaseOutSide:
		HTTPPrint_TBO();
		break;
		case gTBaseInside:
		HTTPPrint_TBI();
		break;
		case gTTopOutside:
		HTTPPrint_TTO();
		break;
		case gTTopInside:
		HTTPPrint_TTI();
		break;
		case gHumidity:
		HTTPPrint_HH();
		break;
		case gDayLight:
		HTTPPrint_DS();
		break; 
		case gBeeTrafficOut:
		HTTPPrint_OBT();
		break;
		case gBeeTrafficIn:
		HTTPPrint_IBT();
		break;
	}
}

//=====================================
//	HTTPPrints for bar graphs
#include "BMS_Graphs.c"
//=====================================
//==================================================
//	HTTPPrints for displaying clock while setting it
#include "BMS_DisplayClockSet.c"
// =================================================
//================================================================
//	HTTPPrints for updating data logging radio buttons on util.htm
#include "BMS_DataLoggingEnable.c"
//================================================================

