//======================================
//	BMS_GeneralFunctionState.c
//	General Function State Machine
//======================================
	switch(GENERALFUNCTIONState)
{
	case GENERAL_HOME:
	break;

	case ELECT_FENCE:
//check Electric Fence status, function 23
if (FunctionModule[EelectfenceLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[EelectfenceLED].Status.Installed) && (FunctionModule[EelectfenceLED].Status.Enabled))
	Fence_Module_LEDio = 1;  //turn fence on if both installed & enabled
		else
			Fence_Module_LEDio = 0;		// else turn off
	break;

	case COOLING_MODULE:
//check Cooling PWM LED opto status
if (FunctionModule[ECoolingPWMLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[ECoolingPWMLED].Status.Installed) && (FunctionModule[ECoolingPWMLED].Status.Enabled))
	CoolingModule_LEDio = 1;  //turn Cooling PWM LED opto on if both installed & enabled
		else
			CoolingModule_LEDio = 0;		// else turn off
	break;

	case HEATING_MODULE:
//check Heater PWM LED opto status
if (FunctionModule[EHeaterPWMLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[EHeaterPWMLED].Status.Installed) && (FunctionModule[EHeaterPWMLED].Status.Enabled))
	HeatingModule_LEDio = 1;  //turn Cooling PWM LED opto on if both installed & enabled
		else
			HeatingModule_LEDio = 0;		// else turn off
	break;

	case RAIN_MODULE:
//check Rain Module status
if (FunctionModule[ERainLED].Status.Installed == FALSE)
	break;	
if ((FunctionModule[ERainLED].Status.Installed) && (FunctionModule[ERainLED].Status.Enabled))  
//	MCP23017_writeRegister(AuxioPort, AuxioSA, 0x19, Rain_Module_LEDio);	//turn Rain Module on if both installed & enabled
	SetRegisterBit(AuxioPort, AuxioSA, 0x19, Rain_Module_LEDio);		//turn Rain Module on if both installed & enabled
		else
		ClearRegisterBit(AuxioPort, AuxioSA, 0x19, Rain_Module_LEDio);
		//	MCP23017_writeRegister(AuxioPort, AuxioSA, 0x19, 0x00);		// else turn off
	break;

	case SMOKE_MODULE:
//check Smoke Module status
if (FunctionModule[ESmokeLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[ESmokeLED].Status.Installed) && (FunctionModule[ESmokeLED].Status.Enabled))
	Smoke_Module_LEDio = 1;  //turn Smoke Module on if both installed & enabled
		else
			Smoke_Module_LEDio = 0;		// else turn off
	break;

	case INTERIOR_LIGHT:
//check Hive interior light LED opto status
if (FunctionModule[EHiveInteriorLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[EHiveInteriorLED].Status.Installed) && (FunctionModule[EHiveInteriorLED].Status.Enabled))
	InteriorLight_Module_LEDio = 1;  //turn Hive interior light LED opto on if both installed & enabled
		else
			InteriorLight_Module_LEDio = 0;		// else turn off
	break;

	case EXTERIOR_LIGHT:
//check Hive Exterior light LED opto status
if (FunctionModule[EHiveExteriorLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[EHiveExteriorLED].Status.Installed) && (FunctionModule[EHiveExteriorLED].Status.Enabled))
	ExteriorLight_Module_LEDio = 1;  //turn Hive Exterior light LED opto on if both installed & enabled
		else
			ExteriorLight_Module_LEDio = 0;		// else turn off
	break;

	case AUXDEV_5:
//check AuxDev 5 status
if (FunctionModule[AuxDev5].Status.Installed == FALSE)
	break;
if ((FunctionModule[AuxDev5].Status.Installed) && (FunctionModule[AuxDev5].Status.Enabled))  
	SetRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev5_LEDio);		//turn Aux5 Module on if both installed & enabled
		else
		ClearRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev5_LEDio);		// else turn off
	break;

	case AUXDEV_6:
//check AuxDev 6 status
if (FunctionModule[AuxDev6].Status.Installed == FALSE)
	break;
if ((FunctionModule[AuxDev6].Status.Installed) && (FunctionModule[AuxDev6].Status.Enabled))  
	SetRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev6_LEDio);		//turn Aux6 Module on if both installed & enabled
		else
		ClearRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev6_LEDio);		// else turn off
	break;

	case AUXDEV_7:
//check AuxDev 7 status
if (FunctionModule[AuxDev7].Status.Installed == FALSE)
	break;
if ((FunctionModule[AuxDev7].Status.Installed) && (FunctionModule[AuxDev7].Status.Enabled))  
	SetRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev7_LEDio);		//turn Aux7 Module on if both installed & enabled
		else
		ClearRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev7_LEDio);		// else turn off
	break;

	case AUXDEV_8:
//check AuxDev 8 status
if (FunctionModule[AuxDev8].Status.Installed == FALSE)
if ((FunctionModule[AuxDev8].Status.Installed) && (FunctionModule[AuxDev8].Status.Enabled))  
	SetRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev8_LEDio);		//turn Aux8 Module on if both installed & enabled
		else
		ClearRegisterBit(AuxioPort, AuxioSA, 0x19, AuxDev8_LEDio);	// else turn off
	break;

	case HIVE_STATUS_RED:
//check Hive status red LED opto status
if (FunctionModule[EHiveStatRedLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[EHiveStatRedLED].Status.Installed) && (FunctionModule[EHiveStatRedLED].Status.Enabled))
	RedStatusLEDio = 1;  //turn Hive status red LED opto on if both installed & enabled
		else
			RedStatusLEDio = 0;		// else turn off
	break;

	case HIVE_STATUS_YELLOW:
//check Hive status yellow LED opto output status
if (FunctionModule[EHiveStatYelLED].Status.Installed == FALSE)
	break;
if ((FunctionModule[EHiveStatYelLED].Status.Installed) && (FunctionModule[EHiveStatYelLED].Status.Enabled))
	YellowStatusLEDio = 1;  //turn Hive status yellow LED opto on if both installed & enabled
		else
			YellowStatusLEDio = 0;		// else turn off
	break;
	
	case GENERAL_AGAIN:
		GENERALFUNCTIONState = 0;
	break;

	default:
	break;
}

GENERALFUNCTIONState++;

