//=====================================
//	BMS_Graphs.c
//	HTTPPrints for bar graphs
//=====================================


void SendColor(BYTE CString[3])
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = CString[0];		//copy color passed to routine
	ColorString[1] = CString[1];
	ColorString[2] = CString[2];
	ColorString[3] = '2';
	ColorString[4] = 'x';
	ColorString[5] = '5';
	ColorString[6] = '.';
	ColorString[7] = 'g';
	ColorString[8] = 'i';
	ColorString[9] = 'f';
	ColorString[10] = '\0';
	TCPPutString(sktHTTP, ColorString);
}

void SetRed(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'r';		//red2x5.gif
	ColorString[1] = 'e';
	ColorString[2] = 'd';
	SendColor(ColorString);
}

void SetOrange(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'o';		//org2x5.gif
	ColorString[1] = 'r';
	ColorString[2] = 'g';
	SendColor(ColorString);
}

void SetYellow(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'y';		//org2x5.gif
	ColorString[1] = 'e';
	ColorString[2] = 'l';
	SendColor(ColorString);
}

void SetBrown(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'b';		//org2x5.gif
	ColorString[1] = 'r';
	ColorString[2] = 'n';
	SendColor(ColorString);
}

void SetGreen(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'g';		//org2x5.gif
	ColorString[1] = 'r';
	ColorString[2] = 'n';
	SendColor(ColorString);
}

void SetCyan(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'c';		//org2x5.gif
	ColorString[1] = 'y';
	ColorString[2] = 'a';
	SendColor(ColorString);
}

void SetBlue(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'b';		//org2x5.gif
	ColorString[1] = 'l';
	ColorString[2] = 'u';
	SendColor(ColorString);
}

void SetViolet(void)
{
	BYTE ColorString[10];		//Make big enough for the full file name length

	ColorString[0] = 'v';		//org2x5.gif
	ColorString[1] = 'i';
	ColorString[2] = 'o';
	SendColor(ColorString);
}


void Set_sdoBarHeight(BYTE BarHeight)
{
	BYTE CountString[3];
	if (BarHeight == 255) BarHeight =0;
    uitoa(BarHeight, (BYTE*)CountString);
   	TCPPutString(sktHTTP, CountString);
}

void HTTPPrint_sdoday(WORD BarLR)		//set color for selected day to graph
{
extern BYTE BarLR_Flag;							//last request for bar position left==0 or right=1
if (BarLR == 0)
{
BarLR_Flag = 0;						//saves the bar requested position as 'left'
if (BarGraph1DayL ==0)					//test flags for day color needed to display graph, Sunday
SetRed();
	else
if (BarGraph1DayL ==1)				//Monday
	SetOrange();
	else
if (BarGraph1DayL ==2)				//Tuesday
	SetBrown();
	else
if (BarGraph1DayL ==3)				//Wednesday
	SetGreen();
	else
if (BarGraph1DayL ==4)				//Thursday
	SetCyan();
	else
if (BarGraph1DayL ==5)				//Friday
	SetBlue();
	else
if (BarGraph1DayL ==6)				//Saturday
	SetViolet();
}
if (BarLR == 1)
 {
BarLR_Flag = 1;						//saves the bar requested position as 'right'
if (BarGraph1DayR ==0)					//test flags for day color needed to display graph, Sunday
SetRed();
	else
if (BarGraph1DayR ==1)				//Monday
	SetOrange();
	else
if (BarGraph1DayR ==2)				//Tuesday
	SetBrown();
	else
if (BarGraph1DayR ==3)				//Wednesday
	SetGreen();
	else
if (BarGraph1DayR ==4)				//Thursday
	SetCyan();
	else
if (BarGraph1DayR ==5)				//Friday
	SetBlue();
	else
if (BarGraph1DayR ==6)				//Saturday
	SetViolet();
}
}

//===============================================================
//RAM array that holds the height of each bar for the graphs
//BYTE BarGraphHeight[BYTE ChartName, BYTE GraphDay, BYTE BarPosition];
//===============================================================
void HTTPPrint_sdobr(WORD BarPosition_0_23)		//finds and prints the height of each bar for the chart
{
extern BYTE BarLR_Flag;							//last request for bar position left==0 or right=1
BYTE val;

if (BarLR_Flag == 0)
	{
	val = BarGraphHeight[Function_to_Graph_Top][BarGraph1DayL][BarPosition_0_23];
	Set_sdoBarHeight(val);
	}

if (BarLR_Flag == 1)
	{
	val = BarGraphHeight[Function_to_Graph_Top][BarGraph1DayR][BarPosition_0_23];
	Set_sdoBarHeight(val);
	}
}

void Set_sdiBarHeight(BYTE BarHeight)
{
	BYTE CountString[3];
	if (BarHeight == 255) BarHeight =0;
    uitoa(BarHeight, (BYTE*)CountString);
   	TCPPutString(sktHTTP, CountString);
}

void HTTPPrint_sdiday(WORD BarLR)		//set color for selected day to graph
{
extern BYTE BarLR_Flag;							//last request for bar position left==0 or right=1
if (BarLR == 0)
{
BarLR_Flag = 0;						//saves the bar requested position as 'left'
if (BarGraph2DayL ==0)					//test flags for day color needed to display graph, Sunday
SetRed();
	else
if (BarGraph2DayL ==1)				//Monday
	SetOrange();
	else
if (BarGraph2DayL ==2)				//Tuesday
	SetBrown();
	else
if (BarGraph2DayL ==3)				//Wednesday
	SetGreen();
	else
if (BarGraph2DayL ==4)				//Thursday
	SetCyan();
	else
if (BarGraph2DayL ==5)				//Friday
	SetBlue();
	else
if (BarGraph2DayL ==6)				//Saturday
	SetViolet();
}
if (BarLR == 1)
 {
BarLR_Flag = 1;						//saves the bar requested position as 'right'
if (BarGraph2DayR ==0)					//test flags for day color needed to display graph, Sunday
SetRed();
	else
if (BarGraph2DayR ==1)				//Monday
	SetOrange();
	else
if (BarGraph2DayR ==2)				//Tuesday
	SetBrown();
	else
if (BarGraph2DayR ==3)				//Wednesday
	SetGreen();
	else
if (BarGraph2DayR ==4)				//Thursday
	SetCyan();
	else
if (BarGraph2DayR ==5)				//Friday
	SetBlue();
	else
if (BarGraph2DayR ==6)				//Saturday
	SetViolet();
}
}


//===============================================================
//RAM array that holds the height of each bar for the graphs
//WORD BarGraph[BYTE ChartName, BYTE GraphDay, BYTE BarPosition];
//===============================================================
void HTTPPrint_sdibr(WORD BarPosition_0_23)		//finds and prints the height of each bar for the chart
{
extern BYTE BarLR_Flag;							//last request for bar position left==0 or right=1
BYTE val;

if (BarLR_Flag == 0)
	{
	val = BarGraphHeight[Function_to_Graph_Bottom][BarGraph2DayL][BarPosition_0_23];
	Set_sdiBarHeight(val);
	}

if (BarLR_Flag == 1)
	{
	val = BarGraphHeight[Function_to_Graph_Bottom][BarGraph2DayR][BarPosition_0_23];
	Set_sdiBarHeight(val);
	}
}

//================================================================
//	Graph Analysis
//================================================================

#include "BMS_GraphStats.c"

// This routine prints the analysis values for the graphs
void HTTPPrint_gdat(WORD Func)
//Func is defined as:
//	0 = top graph, left bar start time [AnalysisStartTimeTopL]
//	1 = top graph, left bar stop time  [AnalysisStopTimeTopL]
//	2 = top graph, right bar start time [AnalysisStartTimeTopR]
//	3 = top graph, right bar stop time [AnalysisStopTimeTopR]
//	4 = bottom graph, left bar start time [AnalysisStartTimeBottomL]
//	5 = bottom graph, left bar stop time [AnalysisStopTimeBottomL]
//	6 = bottom graph, right bar start time [AnalysisStartTimeBottomR]
//	7 = bottom graph, right bar stop time [AnalysisStopTimeBottomR]
//	8 = Max value for analysis range of top graph, left bar function
//	9 = Min value for analysis range of top graph, left bar function
//	10 = Average value for analysis range of top graph, left bar function
//	11 = Max value for analysis range of top graph, right bar function
//	12 = Min value for analysis range of top graph, right bar function
//	13 = Average value for analysis range of top graph, right bar function
//	14 = Max value for analysis range of bottom graph, left bar function
//	15 = Min value for analysis range of bottom graph, left bar function
//	16 = Average value for analysis range of bottom graph, left bar function
//	17 = Max value for analysis range of bottom graph, right bar function
//	18 = Min value for analysis range of bottom graph, rightt bar function
//	19 = Average value for analysis range of bottom graph, right bar function

{
//extern WORD BarGraphMaxHeight[NumberGraphs];
extern	BYTE ResultString[16];
extern WORD ResultValue;
		switch(Func)
		{
		case 0:						//	0 = top graph, left bar start time [AnalysisStartTimeTopL]
		    uitoa(AnalysisTime[AnalysisStartTimeTopL], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 1:						//	1 = top graph, left bar stop time  [AnalysisStopTimeTopL]
		    uitoa(AnalysisTime[AnalysisStopTimeTopL], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 2:						//	2 = top graph, right bar start time [AnalysisStartTimeTopR]
		    uitoa(AnalysisTime[AnalysisStartTimeTopR], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 3:						//	3 = top graph, right bar stop time [AnalysisStopTimeTopR]
		    uitoa(AnalysisTime[AnalysisStopTimeTopR], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 4:						//	4 = bottom graph, left bar start time [AnalysisStartTimeBottomL]
		    uitoa(AnalysisTime[AnalysisStartTimeBottomL], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 5:						//	5 = bottom graph, left bar stop time [AnalysisStopTimeBottomL]
		    uitoa(AnalysisTime[AnalysisStopTimeBottomL], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 6:						//	6 = bottom graph, right bar start time [AnalysisStartTimeBottomR]
		    uitoa(AnalysisTime[AnalysisStartTimeBottomR], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 7:						//	7 = bottom graph, right bar stop time [AnalysisStopTimeBottomR]
		    uitoa(AnalysisTime[AnalysisStopTimeBottomL], ResultString);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 8:						//	8 = Max value for analysis range of top graph, left bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Top;
			ResultValue = MaxValueForRange(BarGraph1DayL, AnalysisTime[AnalysisStartTimeTopL], AnalysisTime[AnalysisStopTimeTopL]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 9:						//	9 = Min value for analysis range of top graph, left bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Top;
			ResultValue = MinValueForRange(BarGraph1DayL, AnalysisTime[AnalysisStartTimeTopL], AnalysisTime[AnalysisStopTimeTopL]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 10:					//	10 = Average value for analysis range of top graph, left bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Top;
			ResultValue = AvgValueForRange(BarGraph1DayL, AnalysisTime[AnalysisStartTimeTopL], AnalysisTime[AnalysisStopTimeTopL]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 11:					//	11 = Max value for analysis range of top graph, right bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Top;
			ResultValue = MaxValueForRange(BarGraph1DayR, AnalysisTime[AnalysisStartTimeTopR], AnalysisTime[AnalysisStopTimeTopR]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 12:					//	12 = Min value for analysis range of top graph, right bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Top;
			ResultValue = MinValueForRange(BarGraph1DayR, AnalysisTime[AnalysisStartTimeTopR], AnalysisTime[AnalysisStopTimeTopR]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 13:					//	13 = Average value for analysis range of top graph, right bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Top;
			ResultValue = AvgValueForRange(BarGraph1DayR, AnalysisTime[AnalysisStartTimeTopR], AnalysisTime[AnalysisStopTimeTopR]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 14:					//	14 = Max value for analysis range of bottom graph, left bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Bottom;
			ResultValue = MaxValueForRange(BarGraph2DayL, AnalysisTime[AnalysisStartTimeBottomL], AnalysisTime[AnalysisStopTimeBottomL]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 15:					//	15 = Min value for analysis range of bottom graph, left bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Bottom;
			ResultValue = MinValueForRange(BarGraph2DayL, AnalysisTime[AnalysisStartTimeBottomL], AnalysisTime[AnalysisStopTimeBottomL]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 16:					//	16 = Average value for analysis range of bottom graph, left bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Bottom;
			ResultValue = AvgValueForRange(BarGraph2DayL, AnalysisTime[AnalysisStartTimeBottomL], AnalysisTime[AnalysisStopTimeBottomL]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 17:					//	17 = Max value for analysis range of bottom graph, right bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Bottom;
			ResultValue = MaxValueForRange(BarGraph2DayR, AnalysisTime[AnalysisStartTimeBottomR], AnalysisTime[AnalysisStopTimeBottomR]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 18:					//	18 = Min value for analysis range of bottom graph, rightt bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Bottom;
			ResultValue = MinValueForRange(BarGraph2DayR, AnalysisTime[AnalysisStartTimeBottomR], AnalysisTime[AnalysisStopTimeBottomR]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		case 19:					//	19 = Average value for analysis range of bottom graph, right bar function
			FUNCTION_TO_GRAPH = Function_to_Graph_Bottom;
			ResultValue = AvgValueForRange(BarGraph2DayR, AnalysisTime[AnalysisStartTimeBottomR], AnalysisTime[AnalysisStopTimeBottomR]);
		    uitoa(ResultValue, ResultString);
			FormatResultString(FUNCTION_TO_GRAPH);
   			TCPPutString(sktHTTP, ResultString);				
		break;

		default:
		break;

		}//END switch(Func)

}
