//=============================================================
//	BMS_HTTPApp_cont1.c
//	Items configured on the Hive Configuration/ cont1.htm page
//=============================================================
	// If its the cont1.htm page
	if(!memcmppgm2ram(filename, "cont1.htm", 9))
	{

//======================================================== 
//	+12v power supply monitor configure, function 1
//========================================================
		// Find the new +12v power supply monitor installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f1i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[E12vmon].Status.Installed = TRUE;
						else
						FunctionModule[E12vmon].Status.Installed = FALSE;

		// Find the new +12v power supply monitor enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f1e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[E12vmon].Status.Enabled = TRUE;
						else
						FunctionModule[E12vmon].Status.Enabled = FALSE;

		// Find the new +12v power supply monitor Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f1a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[E12vmon].Status.AlarmEnable = TRUE;
					else
						FunctionModule[E12vmon].Status.AlarmEnable = FALSE;

		// Find the new wait time value
 		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"P12wt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[E12vmon].DataValue1 = atol(wtimestr);		
		}

		// Find the new +12v power supply monitor Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f1t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[E12vmon].Status.AlarmLower = TRUE;
					else
						FunctionModule[E12vmon].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f1t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[E12vmon].Status.AlarmUpper = TRUE;
					else
						FunctionModule[E12vmon].Status.AlarmUpper = FALSE;

		// Find the new upper limit value
 		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"ul");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[E12vmon].Upperlimit = atol(wtimestr);		
		}

		// Find the new lower limit value
 		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"ll");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[E12vmon].Lowerlimit = atol(wtimestr);			
		}

//======================================================== 
//	Hive status green LED opto configure, function 38
//========================================================
		// Find the new Hive status green LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f38i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EHiveStatGrnLED].Status.Installed = TRUE;
						else
						FunctionModule[EHiveStatGrnLED].Status.Installed = FALSE;

		// Find the new Hive status green LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f38e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EHiveStatGrnLED].Status.Enabled = TRUE;
						else
						FunctionModule[EHiveStatGrnLED].Status.Enabled = FALSE;

		// Find the new Hive status green LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f38a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EHiveStatGrnLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EHiveStatGrnLED].Status.AlarmEnable = FALSE;

		// Find the new Hive status green LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f38t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveStatGrnLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[EHiveStatGrnLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f38t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveStatGrnLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EHiveStatGrnLED].Status.AlarmUpper = FALSE;

//======================================================== 
//	Hive status yellow LED opto configure, function 39
//========================================================
		// Find the new Hive status yellow LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f39i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EHiveStatYelLED].Status.Installed = TRUE;
						else
						FunctionModule[EHiveStatYelLED].Status.Installed = FALSE;

		// Find the new Hive status yellow LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f39e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EHiveStatYelLED].Status.Enabled = TRUE;
						else
						FunctionModule[EHiveStatYelLED].Status.Enabled = FALSE;

		// Find the new Hive status yellow LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f39a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EHiveStatYelLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EHiveStatYelLED].Status.AlarmEnable = FALSE;

		// Find the new Hive status yellow LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f39t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveStatYelLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[EHiveStatYelLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f39t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveStatYelLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EHiveStatYelLED].Status.AlarmUpper = FALSE;

//======================================================== 
//	Hive status red LED opto configure, function 40
//========================================================
		// Find the new Hive status red LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f40i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EHiveStatRedLED].Status.Installed = TRUE;
						else
						FunctionModule[EHiveStatRedLED].Status.Installed = FALSE;

		// Find the new Hive status red LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f40e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EHiveStatRedLED].Status.Enabled = TRUE;
						else
						FunctionModule[EHiveStatRedLED].Status.Enabled = FALSE;

		// Find the new Hive status red LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f40a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EHiveStatRedLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EHiveStatRedLED].Status.AlarmEnable = FALSE;

		// Find the new Hive status red LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f40t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveStatRedLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[EHiveStatRedLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f40t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveStatRedLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EHiveStatRedLED].Status.AlarmUpper = FALSE;


	}

