//=============================================================
//	BMS_HTTPApp_enviro1.c
//	Items configured on the enviro1.htm page
//=============================================================
	// If its the enviro1.htm page
	if(!memcmppgm2ram(filename, "enviro1.htm", 11))
	{

//======================================================= 
//	Smoke Module function configure, function 30
//======================================================= 

		// Find the Smoke Module installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f30i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ESmokeLED].Status.Installed = TRUE;
						else
						FunctionModule[ESmokeLED].Status.Installed = FALSE;

		// Find the Smoke Module enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f30e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ESmokeLED].Status.Enabled = TRUE;
						else
						FunctionModule[ESmokeLED].Status.Enabled = FALSE;


//======================================================= 
//	Rain Module function configure, function 31
//======================================================= 

		// Find the Rain Module installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f31i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ERainLED].Status.Installed = TRUE;
						else
						FunctionModule[ERainLED].Status.Installed = FALSE;

		// Find the Rain Module enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f31e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ERainLED].Status.Enabled = TRUE;
						else
						FunctionModule[ERainLED].Status.Enabled = FALSE;

//==========================================================
//	Sound PWM LED opto function configure, function 33
//========================================================== 

		// Find the Sound PWM LED opto installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f33i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ESoundPWMLED].Status.Installed = TRUE;
						else
						FunctionModule[ESoundPWMLED].Status.Installed = FALSE;

		// Find the Sound PWM LED opto enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f33e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ESoundPWMLED].Status.Enabled = TRUE;
						else
						FunctionModule[ESoundPWMLED].Status.Enabled = FALSE;

//======================================================= 
//	Vibration PWM LED opto function configure, function 34
//======================================================= 

		// Find the Vibration PWM LED opto installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f34i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EVibrationLED].Status.Installed = TRUE;
						else
						FunctionModule[EVibrationLED].Status.Installed = FALSE;

		// Find the Vibration PWM LED opto enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f34e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EVibrationLED].Status.Enabled = TRUE;
						else
						FunctionModule[EVibrationLED].Status.Enabled = FALSE;

//=========================================================== 
//	Entrance servo power enable Functions, function 69...72, add additional 4 (73...76) servos later
//===========================================================

// Entrance servo 1, function 69
		// Find the new Entrance 1 opening PWM LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f69i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ServoPwr1].Status.Installed = TRUE;
						else
						FunctionModule[ServoPwr1].Status.Installed = FALSE;

		// Find the new Entrance 1 opening PWM LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f69e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ServoPwr1].Status.Enabled = TRUE;
						else
						FunctionModule[ServoPwr1].Status.Enabled = FALSE;

		// Find the new Entrance 1 opening PWM LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f69a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[ServoPwr1].Status.AlarmEnable = TRUE;
					else
						FunctionModule[ServoPwr1].Status.AlarmEnable = FALSE;

		// Find the new Entrance 1 opening PWM LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f69t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr1].Status.AlarmLower = TRUE;
					else
						FunctionModule[ServoPwr1].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f69t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr1].Status.AlarmUpper = TRUE;
					else
						FunctionModule[ServoPwr1].Status.AlarmUpper = FALSE;

// Entrance servo 2, function 70
		// Find the new Entrance 2 opening PWM LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f70i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ServoPwr2].Status.Installed = TRUE;
						else
						FunctionModule[ServoPwr2].Status.Installed = FALSE;

		// Find the new Entrance 2 opening PWM LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f70e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ServoPwr2].Status.Enabled = TRUE;
						else
						FunctionModule[ServoPwr2].Status.Enabled = FALSE;

		// Find the new Entrance 2 opening PWM LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f70a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[ServoPwr2].Status.AlarmEnable = TRUE;
					else
						FunctionModule[ServoPwr2].Status.AlarmEnable = FALSE;

		// Find the new Entrance 2 opening PWM LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f70t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr2].Status.AlarmLower = TRUE;
					else
						FunctionModule[ServoPwr2].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f70t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr2].Status.AlarmUpper = TRUE;
					else
						FunctionModule[ServoPwr2].Status.AlarmUpper = FALSE;

// Entrance servo 3, function 71
		// Find the new Entrance 3 opening PWM LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f71i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ServoPwr3].Status.Installed = TRUE;
						else
						FunctionModule[ServoPwr3].Status.Installed = FALSE;

		// Find the new Entrance 3 opening PWM LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f71e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ServoPwr3].Status.Enabled = TRUE;
						else
						FunctionModule[ServoPwr3].Status.Enabled = FALSE;

		// Find the new Entrance 3 opening PWM LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f71a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[ServoPwr3].Status.AlarmEnable = TRUE;
					else
						FunctionModule[ServoPwr3].Status.AlarmEnable = FALSE;

		// Find the new Entrance 3 opening PWM LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f71t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr3].Status.AlarmLower = TRUE;
					else
						FunctionModule[ServoPwr3].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f71t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr3].Status.AlarmUpper = TRUE;
					else
						FunctionModule[ServoPwr3].Status.AlarmUpper = FALSE;

// Entrance servo 4, function 72
		// Find the new Entrance 4 opening PWM LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f72i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ServoPwr4].Status.Installed = TRUE;
						else
						FunctionModule[ServoPwr4].Status.Installed = FALSE;

		// Find the new Entrance 4 opening PWM LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f72e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ServoPwr4].Status.Enabled = TRUE;
						else
						FunctionModule[ServoPwr4].Status.Enabled = FALSE;

		// Find the new Entrance 4 opening PWM LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f72a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[ServoPwr4].Status.AlarmEnable = TRUE;
					else
						FunctionModule[ServoPwr4].Status.AlarmEnable = FALSE;

		// Find the new Entrance 4 opening PWM LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f72t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr4].Status.AlarmLower = TRUE;
					else
						FunctionModule[ServoPwr4].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f72t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ServoPwr4].Status.AlarmUpper = TRUE;
					else
						FunctionModule[ServoPwr4].Status.AlarmUpper = FALSE;



//=========================================================== 
//	Heater PWM LED opto Function, function 36
//===========================================================
		// Find the new Heater PWM LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f36i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EHeaterPWMLED].Status.Installed = TRUE;
						else
						FunctionModule[EHeaterPWMLED].Status.Installed = FALSE;

		// Find the new Heater PWM LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f36e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EHeaterPWMLED].Status.Enabled = TRUE;
						else
						FunctionModule[EHeaterPWMLED].Status.Enabled = FALSE;

		// Find the new Heater PWM LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f36a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EHeaterPWMLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EHeaterPWMLED].Status.AlarmEnable = FALSE;

		// Find the new Heater PWM LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f36t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHeaterPWMLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[EHeaterPWMLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f36t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHeaterPWMLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EHeaterPWMLED].Status.AlarmUpper = FALSE;

//=========================================================== 
//	Cooling PWM LED opto Function, function 37
//===========================================================
		// Find the new Cooling PWM LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f37i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[ECoolingPWMLED].Status.Installed = TRUE;
						else
						FunctionModule[ECoolingPWMLED].Status.Installed = FALSE;

		// Find the new Cooling PWM LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f37e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[ECoolingPWMLED].Status.Enabled = TRUE;
						else
						FunctionModule[ECoolingPWMLED].Status.Enabled = FALSE;

		// Find the new Cooling PWM LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f37a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[ECoolingPWMLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[ECoolingPWMLED].Status.AlarmEnable = FALSE;

		// Find the new Cooling PWM LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f37t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ECoolingPWMLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[ECoolingPWMLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f37t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[ECoolingPWMLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[ECoolingPWMLED].Status.AlarmUpper = FALSE;

//=========================================================== 
//	Hive exterior light LED opto Function, function 41
//===========================================================
		// Find the new Hive exterior light LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f41i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EHiveExteriorLED].Status.Installed = TRUE;
						else
						FunctionModule[EHiveExteriorLED].Status.Installed = FALSE;

		// Find the new Hive exterior light LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f41e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EHiveExteriorLED].Status.Enabled = TRUE;
						else
						FunctionModule[EHiveExteriorLED].Status.Enabled = FALSE;

		// Find the new Hive exterior light LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f41a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EHiveExteriorLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EHiveExteriorLED].Status.AlarmEnable = FALSE;

		// Find the new Hive exterior light LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f41t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveExteriorLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[EHiveExteriorLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f41t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveExteriorLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EHiveExteriorLED].Status.AlarmUpper = FALSE;

//=========================================================== 
//	Hive interior light LED opto Function, function 42
//===========================================================
		// Find the new Hive interior light LED opto installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f42i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EHiveInteriorLED].Status.Installed = TRUE;
						else
						FunctionModule[EHiveInteriorLED].Status.Installed = FALSE;

		// Find the new Hive interior light LED opto enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f42e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EHiveInteriorLED].Status.Enabled = TRUE;
						else
						FunctionModule[EHiveInteriorLED].Status.Enabled = FALSE;

		// Find the new Hive interior light LED opto Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f42a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EHiveInteriorLED].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EHiveInteriorLED].Status.AlarmEnable = FALSE;

		// Find the new Hive interior light LED opto Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f42t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveInteriorLED].Status.AlarmLower = TRUE;
					else
						FunctionModule[EHiveInteriorLED].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f42t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EHiveInteriorLED].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EHiveInteriorLED].Status.AlarmUpper = FALSE;


	}

