//=============================================================
//	BMS_HTTPApp_security1.c
//	Items configured on the security1.htm page
//=============================================================
	// If its the security1.htm page
	if(!memcmppgm2ram(filename, "security1.htm", 13))
	{

//=============================================== 
//	Lid Open Function configure, function 17
//===============================================
		// Find the new Lid Open Sensor installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f17i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[Elidopen].Status.Installed = TRUE;
						else
						FunctionModule[Elidopen].Status.Installed = FALSE;

		// Find the new Lid Open Sensor enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f17e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[Elidopen].Status.Enabled = TRUE;
						else
						FunctionModule[Elidopen].Status.Enabled = FALSE;

		// Find the new Lid Open Sensor Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f17a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[Elidopen].Status.AlarmEnable = TRUE;
					else
						FunctionModule[Elidopen].Status.AlarmEnable = FALSE;

		// Find the new wait time value
 		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"Lwt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[Elidopen].DataValue1 = atol(wtimestr);		
		}

		// Find the new Lid Open Sensor Alarm Lower, Upper, Both Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f17t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[Elidopen].Status.AlarmLower = TRUE;
					else
						FunctionModule[Elidopen].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f17t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[Elidopen].Status.AlarmUpper = TRUE;
					else
						FunctionModule[Elidopen].Status.AlarmUpper = FALSE;


//			ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f17t");
//		if(ptr)							// Make sure ptr is not NULL
//			if((strcmppgm2ram(char*)ptr,(ROM char*)"nu") == 0)
//				{
//					FunctionModule[Elidopen].Status.AlarmUpper = FALSE;
//					FunctionModule[Elidopen].Status.AlarmUpper = FALSE;
//				}
//					else

//=============================================== 
//	Tilt function configure, function 18
//===============================================
		// Find the new Tilt Sensor installed yes/no
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f18i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[Etiltdetect].Status.Installed = TRUE;
						else
						FunctionModule[Etiltdetect].Status.Installed = FALSE;

		// Find the new Tilt Sensor enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f18e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[Etiltdetect].Status.Enabled = TRUE;
						else
						FunctionModule[Etiltdetect].Status.Enabled = FALSE;

		// Find the new Tilt Sensor Alarm Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f18a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[Etiltdetect].Status.AlarmEnable = TRUE;
					else
						FunctionModule[Etiltdetect].Status.AlarmEnable = FALSE;

		// Find the new wait time value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"Twt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[Etiltdetect].DataValue1 = atol(wtimestr);		
		}

		// Find the new Tilt Sensor Alarm Lower Enable/disabled
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f18t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[Etiltdetect].Status.AlarmLower = TRUE;
					else
						FunctionModule[Etiltdetect].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f18t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[Etiltdetect].Status.AlarmUpper = TRUE;
					else
						FunctionModule[Etiltdetect].Status.AlarmUpper = FALSE;

//=============================================== 
//	PIR 1 function configure, function 19
//=============================================== 

		// Find the new Tilt Sensor installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f19i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EPIR1ms].Status.Installed = TRUE;
						else
						FunctionModule[EPIR1ms].Status.Installed = FALSE;

		// Find the new Tilt Sensor enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f19e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EPIR1ms].Status.Enabled = TRUE;
						else
						FunctionModule[EPIR1ms].Status.Enabled = FALSE;

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f19a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EPIR1ms].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EPIR1ms].Status.AlarmEnable = FALSE;

		// Find the new wait time value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"P1wt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[EPIR1ms].DataValue1 = atol(wtimestr);		
		}

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f19t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR1ms].Status.AlarmLower = TRUE;
					else
						FunctionModule[EPIR1ms].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f19t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR1ms].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EPIR1ms].Status.AlarmUpper = FALSE;

//=============================================== 
//	PIR 2 function configure, function 20
//=============================================== 

		// Find the new Tilt Sensor installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f20i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EPIR2ms].Status.Installed = TRUE;
						else
						FunctionModule[EPIR2ms].Status.Installed = FALSE;

		// Find the new Tilt Sensor enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f20e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EPIR2ms].Status.Enabled = TRUE;
						else
						FunctionModule[EPIR2ms].Status.Enabled = FALSE;

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f20a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EPIR2ms].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EPIR2ms].Status.AlarmEnable = FALSE;

		// Find the new wait time value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"P2wt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[EPIR2ms].DataValue1 = atol(wtimestr);		
		}

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f20t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR2ms].Status.AlarmLower = TRUE;
					else
						FunctionModule[EPIR2ms].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f20t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR2ms].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EPIR2ms].Status.AlarmUpper = FALSE;


//=============================================== 
//	PIR 3 function configure, function 21
//=============================================== 

		// Find the new Tilt Sensor installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f21i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EPIR3ms].Status.Installed = TRUE;
						else
						FunctionModule[EPIR3ms].Status.Installed = FALSE;

		// Find the new Tilt Sensor enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f21e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EPIR3ms].Status.Enabled = TRUE;
						else
						FunctionModule[EPIR3ms].Status.Enabled = FALSE;

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f21a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EPIR3ms].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EPIR3ms].Status.AlarmEnable = FALSE;

		// Find the new wait time value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"P3wt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[EPIR3ms].DataValue1 = atol(wtimestr);		
		}

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f21t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR3ms].Status.AlarmLower = TRUE;
					else
						FunctionModule[EPIR3ms].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f21t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR3ms].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EPIR3ms].Status.AlarmUpper = FALSE;

//=============================================== 
//	PIR 4 function configure, function 22
//=============================================== 

		// Find the new Tilt Sensor installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f22i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EPIR4ms].Status.Installed = TRUE;
						else
						FunctionModule[EPIR4ms].Status.Installed = FALSE;

		// Find the new Tilt Sensor enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f22e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EPIR4ms].Status.Enabled = TRUE;
						else
						FunctionModule[EPIR4ms].Status.Enabled = FALSE;

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f22a");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"ae") == 0)		//Set the new value
				FunctionModule[EPIR4ms].Status.AlarmEnable = TRUE;
					else
						FunctionModule[EPIR4ms].Status.AlarmEnable = FALSE;

		// Find the new wait time value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"P4wt");			//compare for name
		if(ptr)							// Make sure ptr is not NULL
		{
			strcpy(wtimestr,ptr);		//copy the value
			FunctionModule[EPIR4ms].DataValue1 = atol(wtimestr);		
		}

		// Find the new Tilt Sensor Alarm Enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f22t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"lo") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR4ms].Status.AlarmLower = TRUE;
					else
						FunctionModule[EPIR4ms].Status.AlarmLower = FALSE;

		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f22t");
		if(ptr)							// Make sure ptr is not NULL
			if((strcmppgm2ram((char*)ptr,(ROM char*)"up") == 0) | (strcmppgm2ram((char*)ptr,(ROM char*)"bo") == 0))
				FunctionModule[EPIR4ms].Status.AlarmUpper = TRUE;
					else
						FunctionModule[EPIR4ms].Status.AlarmUpper = FALSE;


//======================================================= 
//	Electric Fence function configure, function 24
//======================================================= 

		// Find the Electric Fence installed yes/no value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f24i");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"yes") == 0)		//Set the new value
				FunctionModule[EelectfenceLED].Status.Installed = TRUE;
						else
						FunctionModule[EelectfenceLED].Status.Installed = FALSE;

		// Find the Electric Fence enable/disabled value
		ptr = HTTPGetROMArg(curHTTP.data, (ROM BYTE *)"f24e");
		if(ptr)							// Make sure ptr is not NULL
			if(strcmppgm2ram((char*)ptr,(ROM char*)"en") == 0)		//Set the new value
				FunctionModule[EelectfenceLED].Status.Enabled = TRUE;
						else
						FunctionModule[EelectfenceLED].Status.Enabled = FALSE;
	}

