//============================================
//	BMS_ServoState.c
// servo task state machine
//============================================
Nop();

if (TickGet() - tgServo >= TICK_SECOND)
{
MCP23017_writeRegister(AuxioPort, AuxioSA, 0x09, 0x00);	//clear GPIOA bits to turn servo pwr off


switch(SERVOState)
	{
	case SERVO_HOME:
	Nop();
	break;
	
	case SERVO_1_POSITION:
//check Servo 1 position to match FunctionModule array data, function 69
if ((FunctionModule[ServoPwr1].Status.Installed) && (FunctionModule[ServoPwr1].Status.Enabled))  //Enabled = open here
	EntranceServo1_Open();	//Validate that Entrance servo 1 is Open
		else
			EntranceServo1_Closed();	//Validate that Entrance servo 1 is Closed
	break;

	case SERVO_2_POSITION:
//check Servo 2 position to match FunctionModule array data, function 70
if ((FunctionModule[ServoPwr2].Status.Installed) && (FunctionModule[ServoPwr2].Status.Enabled))  //Enabled = open here
	EntranceServo2_Open();	//Validate that Entrance servo 2 is Open
		else
			EntranceServo2_Closed();	//Validate that Entrance servo 2 is Closed
	break;

	case SERVO_3_POSITION:
//check Servo 3 position to match FunctionModule array data, function 71
if ((FunctionModule[ServoPwr3].Status.Installed) && (FunctionModule[ServoPwr3].Status.Enabled))  //Enabled = open here
	EntranceServo3_Open();	//Validate that Entrance servo 3 is Open
		else
			EntranceServo3_Closed();	//Validate that Entrance servo 3 is Closed
	break;

	case SERVO_4_POSITION:
//check Servo 4 position to match FunctionModule array data, function 72
if ((FunctionModule[ServoPwr4].Status.Installed) && (FunctionModule[ServoPwr4].Status.Enabled))  //Enabled = open here
	EntranceServo4_Open();	//Validate that Entrance servo 4 is Open
		else
			EntranceServo4_Closed();	//Validate that Entrance servo 4 is Closed
	break;

	case SERVO_5_POSITION:
//check Servo 5 position to match FunctionModule array data, function 73
if ((FunctionModule[ServoPwr5].Status.Installed) && (FunctionModule[ServoPwr5].Status.Enabled))  //Enabled = open here
	EntranceServo5_Open();	//Validate that Entrance servo 5 is Open
		else
			EntranceServo5_Closed();	//Validate that Entrance servo 5 is Closed
	break;

	case SERVO_6_POSITION:
//check Servo 6 position to match FunctionModule array data, function 74
if ((FunctionModule[ServoPwr6].Status.Installed) && (FunctionModule[ServoPwr6].Status.Enabled))  //Enabled = open here
	EntranceServo6_Open();	//Validate that Entrance servo 6 is Open
		else
			EntranceServo6_Closed();	//Validate that Entrance servo 6 is Closed
	break;

	case SERVO_7_POSITION:
//check Servo 7 position to match FunctionModule array data, function 75
if ((FunctionModule[ServoPwr7].Status.Installed) && (FunctionModule[ServoPwr7].Status.Enabled))  //Enabled = open here
	EntranceServo7_Open();	//Validate that Entrance servo 7 is Open
		else
			EntranceServo7_Closed();	//Validate that Entrance servo 7 is Closed
	break;

	case SERVO_8_POSITION:
//check Servo 8 position to match FunctionModule array data, function 76
if ((FunctionModule[ServoPwr8].Status.Installed) && (FunctionModule[ServoPwr8].Status.Enabled))  //Enabled = open here
	EntranceServo8_Open();	//Validate that Entrance servo 8 is Open
		else
			EntranceServo8_Closed();	//Validate that Entrance servo 8 is Closed
	break;

	case SERVO_AGAIN:
	SERVOState = 0;
	break;

	} //switch(SERVOState)
SERVOState++;
}//if tick

